<?php
$pref='wpf5gdpr-';
?>
   <p style="font-size:20px" class="clrblack"><strong>Are you GDPR Compliant?</strong>   - <a href="https://wpfreshstart5.com/support/knowledgebase/how-to-use-wp-freshstart-5-for-gdpr-compliance/" target="_blank" style="font-size:0.8em">Support</a> </p>

<p>This is where you’ll know how compliant you are. To become fully GDPR compliant set up each of the sections below.</p>

  <?php
	  $class='';
	  $prcnt='';
	  $alert='';
	  $count=0;
  switch( wpfresh5_complianceStatus() )
  {
	case 0:
	$alert='You are not compliant with any of the 7 requirements.';
	$prcnt=10;
	break;
	case 1:
	$class='';
	  $prcnt=20;
	$alert='You\'re not GDPR compliant yet. You have 6 compliance requirements to set up before you become compliant.';
	break;
	case 2:
	$class='';
	  $prcnt=30;
	  $alert='You\'re not GDPR compliant yet. You have 5 compliance requirements to set up before you become compliant.';
	break;
	case 3:
	  $class='';
	  $prcnt=40;
	  $alert='You\'re not GDPR compliant yet. You have 4 compliance requirements to set up before you become compliant.';
	break;
	case 4:
	  $class='';
	  $prcnt=50;
	  $alert='You\'re not GDPR compliant yet. You have 3 compliance requirements to set up before you become compliant.';
	break;
	case 5:
	  $class='';
	  $prcnt=60;
	  $alert='You\'re not GDPR compliant yet. You have 2 compliance requirements to set up before you become compliant.';
	break;
	case 6:
	  $class='';
	  $prcnt=70;
	  $alert='You\'re not GDPR compliant yet. You have 1 compliance requirements to set up before you become compliant.';
	break;
	case 7:
	  $class='';
	  $prcnt=100;
	  $alert='Now you\'re compliant on 7 key GDPR requirements';
	break;
  }
   ?>


  <?php if($prcnt==100){ ?>
  <i class="fa fa-check check-green"></i> <?php echo $alert; ?>
  <?php } else { ?>
  <i class="fa fa-remove remove-red"></i> <?php echo $alert; ?>
  <?php } ?>
  <br>

  <!-- </div> -->



<h4 class="h4tit">Accept EU traffic</h4>
  <?php if( get_option($pref.'eu-active')=='1' ){  ?>
    Your site is current refusing EU visitors. GDPR compliance is not required.<strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr9-tab"> Change settings?</a>.</strong>
  <?php  } else { ?>
    Your site is accepting EU traffic and you have to comply with GDPR.<strong> <a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr9-tab">Change settings?</a></strong>
  <?php } ?>
  <br>

  <?php
    $settings = wpfresh5_get_plugin_settings();
    if( isset( $settings['legal'] ) && isset( $settings['legal']['cookies'] )  && ( $settings['legal']['cookies']['cookiew_enabled'] ) )
      $cookies_valid = 1;
    else
      $cookies_valid = 0;
  ?>
<h4 class="h4tit">1. Cookie Consent</h4>
  <?php if( $cookies_valid ){  ?>
  <i class="fa fa-check check-green"></i> You  are compliant with the cookie consent requirement.
  <?php  } else { ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with the cookie consent requirement.<br/>(You need to enable the Cookie Consent notice for EU visitors) <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr2-tab">Configure</a>.</strong>
  <?php } ?>
  <br>

<h4 class="h4tit">2. Terms & Conditions</h4>
  <?php if(wpfresh5_isSetTandC()==1){  ?>
  <i class="fa fa-check check-green"></i> You  are compliant with the Terms & Conditions requirements.
  <?php } ?>
  <?php if(wpfresh5_isSetTandC()==0){ ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with the Terms & Conditions requirements.<br/>(You need to create and select a Terms and Conditions Page) <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr3-tab">Configure</a></strong>
  <?php } ?>
  <br>

<h4 class="h4tit">3. Privacy Policy</h4>
  <?php if(wpfresh5_isSetPP()==1){  ?>
  <i class="fa fa-check check-green"></i> You  are compliant with the Privacy Policy requirements.
  <?php } ?>
  <?php if(wpfresh5_isSetPP()==0){ ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with the Privacy Policy requirements.<br/>(You need to create and select a Privacy Policy Page)  <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr4-tab">Configure</a></strong>
  <?php } ?>

  <br>
<h4 class="h4tit">4. Right To Be Forgotten</h4>
  <?php if(strlen(get_option($pref.'rtbf-message'))>0){  ?>
  <i class="fa fa-check check-green"></i> You are compliant with the requirements of Right to be forgotten regulation.
  <?php } ?>
  <?php if(strlen(get_option($pref.'rtbf-message'))<1){ ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with the requirements of Right to be forgotten regulation.<br/>You need to enter an Email message content and subject <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr5-tab">Configure</a></strong>
  <?php } ?>
  <br>

<h4 class="h4tit">5. Data Access Requests</h4>
  <?php if(strlen(get_option($pref.'da-message'))>0){  ?>
  <i class="fa fa-check check-green"></i> You are compliant with requirements of mandatory data access regulation.
  <?php } ?>
  <?php if(strlen(get_option($pref.'da-message'))<1){ ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with requirements of mandatory data access regulation. <br/>You need to enter an Email message content and subject <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr6-tab">Configure</a></strong>
  <?php } ?>
  <br>

<h4 class="h4tit">6. Data Breach Notification</h4>
  <?php if(strlen(get_option($pref.'dbr-message'))>0){  ?>
  <i class="fa fa-check check-green"></i> You are compliant with data breach notification requirements.
  <?php } ?>
  <?php if(strlen(get_option($pref.'dbr-message'))<1){ ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with data breach notification requirements. <br/>You need to enter an Email message content and subject <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr7-tab">Configure</a></strong>
  <?php } ?>
  <br>

<h4 class="h4tit">7. Data Rectification Requirements</h4>
  <?php if(strlen(get_option($pref.'drr-message'))>0){  ?>
  <i class="fa fa-check check-green"></i> You are compliant with data rectification requirements.
  <?php } ?>
  <?php if(strlen(get_option($pref.'drr-message'))<1){ ?>
  <i class="fa fa-remove remove-red"></i> You are not compliant with data rectification requirements. <br/>You need to enter an Email message content and subject  <strong><a class="gdprlink nav-tab-inner" href="#wpfresh5-gdpr8-tab"> Configure</a></strong>
<?php } ?>