<?php
/* 1. Save Settings */

function wpfresh5_save_settings( $section = false ) {
    set_time_limit( 3600 );

    if( $section ) {
        call_user_func( 'wpfresh5_save_settings_'.$section );
        echo '<div class="notice notice-success is-dismissible inline"><p><i class="fa fa-check"></i> Settings saved!</p></div>';
        return;
    }

    $els = array( 'content', 'legal', 'plugins', 'security', 'seo', 'branding', 'social', 'monetize', 'others' );
    foreach( $els as $el ) {
        call_user_func( 'wpfresh5_save_settings_'.$el );
    }
}

function wpfresh5_save_settings_content() {
    $settings = wpfresh5_get_plugin_settings();

    // 1. Site Settings
    $site_title = isset( $_POST['wpfresh5_cg_site_title'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_site_title'] ) ) : '';
    $tagline = isset( $_POST['wpfresh5_cg_tagline'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_tagline'] ) ) : '';
    $admin_email = isset( $_POST['wpfresh5_cg_admin_email'] ) ? trim( sanitize_email( $_POST['wpfresh5_cg_admin_email'] ) ) : '';

    if( $site_title )
        update_option( 'blogname', $site_title );

    if( $tagline )
        update_option( 'blogdescription', $tagline );

    if( $admin_email )
        update_option( 'admin_email', $admin_email );

    // 2. Posts/pages

    $postypes_delete = isset( $_POST['wpfresh5_cp_delete_posttypes'] ) ? wpfresh5_get_array_keys_checked( $_POST['wpfresh5_cp_delete_posttypes'] ) : array();
    wpfresh5_delete_posttypes( $postypes_delete );

    $pages_create = isset( $_POST['wpfresh5_cg_createpage'] ) ? wpfresh5_get_array_keys_checked( $_POST['wpfresh5_cg_createpage'] ) : array();
    wpfresh5_create_pages( $pages_create );

    $blankpages = isset( $_POST['wpfresh5_cc_pagenames'] ) ? trim( $_POST['wpfresh5_cc_pagenames'] ) : false;
    if( !empty( $blankpages ) ) {
        $blankpages = explode( ',', $blankpages);
        wpfresh5_create_blank_pages( $blankpages, 'page' );
    }

    $blankposts = isset( $_POST['wpfresh5_cc_postnames'] ) ? trim( $_POST['wpfresh5_cc_postnames'] ) : false;
    if( !empty( $blankposts ) ) {
        $blankposts = explode( ',', $blankposts);
        wpfresh5_create_blank_pages( $blankposts, 'post' );
    }

    $create_cats = isset( $_POST['wpfresh5_cc_create_cats'] ) ? intval( $_POST['wpfresh5_cc_create_cats'] ) : 0;
    if( $create_cats ) {
        $cat_names = isset( $_POST['wpfresh5_cc_catnames'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_cc_catnames'] ) ) : '';
        wpfresh5_create_categories( $cat_names );
    }

    $create_tags = isset( $_POST['wpfresh5_cc_create_tags'] ) ? intval( $_POST['wpfresh5_cc_create_tags'] ) : 0;
    if( $create_tags ) {
        $tag_names = isset( $_POST['wpfresh5_cc_tagnames'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_cc_tagnames'] ) ) : '';
        wpfresh5_create_tags( $tag_names );
    }

    $create_sample_content = isset( $_POST['wpfresh5_cc_create_samplecontent'] ) ? intval( $_POST['wpfresh5_cc_create_samplecontent'] ) : 0;
    if( $create_sample_content )
        wpfresh5_create_sample_content();

    $delete_sample_content = isset( $_POST['wpfresh5_cc_delete_samplecontent'] ) ? intval( $_POST['wpfresh5_cc_delete_samplecontent'] ) : 0;
    if( $delete_sample_content )
        wpfresh5_delete_sample_content();

   // Comments
    $fb_comments = isset( $_POST['wpfresh5_cco_use_facebook_comments'] ) ? intval( $_POST['wpfresh5_cco_use_facebook_comments'] ) : 0;
    $disable_comments = isset( $_POST['wpfresh5_cco_disable_comments'] ) ? $_POST['wpfresh5_cco_disable_comments'] : 0;

    $comments_notify = isset( $_POST['wpfresh5_cco_stop_new_notifications'] ) ? intval( $_POST['wpfresh5_cco_stop_new_notifications'] ) : 0;
    update_option( 'comments_notify', $comments_notify );

    $moderation_notify = isset( $_POST['wpfresh5_cco_stop_moderate_notifications'] ) ? intval( $_POST['wpfresh5_cco_stop_moderate_notifications'] ) : 0;
    update_option( 'moderation_notify', $moderation_notify );

    $comment_moderation = isset( $_POST['wpfresh5_cco_admin_moderate_comments'] ) ? intval( $_POST['wpfresh5_cco_admin_moderate_comments'] ) : 0;
    update_option( 'comment_moderation', $comment_moderation );

    $delete_comments = isset( $_POST['wpfresh5_cco_delete_comments'] ) ? $_POST['wpfresh5_cco_delete_comments'] : 0;
    if( $delete_comments ) {
        wpfresh5_delete_comments();
    }

    // Images
    $placeholder = isset( $_POST['wpfresh5_ci_placeholder'] ) ? intval( $_POST['wpfresh5_ci_placeholder'] ) : 0;
    $lazy_load = isset( $_POST['wpfresh5_ci_lazy_load'] ) ? intval( $_POST['wpfresh5_ci_lazy_load'] ) : 0;
    $optimize = isset( $_POST['wpfresh5_ci_optimize'] ) ? intval( $_POST['wpfresh5_ci_optimize'] ) : 0;
    $exif = isset( $_POST['wpfresh5_ci_exif'] ) ? intval( $_POST['wpfresh5_ci_exif'] ) : 0;
    $compression = isset( $_POST['wpfresh5_ci_compression'] ) ? intval( $_POST['wpfresh5_ci_compression'] ) : 0;
    $imgur = isset( $_POST['wpfresh5_ci_imgur'] ) ? intval( $_POST['wpfresh5_ci_imgur'] ) : 0;
    $watermark = isset( $_POST['wpfresh5_ci_watermark'] ) ? intval( $_POST['wpfresh5_ci_watermark'] ) : 0;
    $watermark_url = isset( $_POST['wpfresh5_ci_watermark_url'] ) ? $_POST['wpfresh5_ci_watermark_url'] : 0;

    // Under Construction
    $underc_enabled = isset( $_POST['wpfresh5_cu_underc_enabled'] ) ? intval( $_POST['wpfresh5_cu_underc_enabled'] ) : 0;
    $underc_text = isset( $_POST['wpfresh5_cu_underc_text'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cu_underc_text'] ) ) : '';
    $members_only = isset( $_POST['wpfresh5_cu_membes_only'] ) ? intval( $_POST['wpfresh5_cu_membes_only'] ) : 0;

    // Fonts
    $enable_fonts = isset( $_POST['wpfresh5_cf_enable_fonts'] ) ? intval( $_POST['wpfresh5_cf_enable_fonts'] ) : 0;
    $font1 = isset( $_POST['wpfresh5_cf_font1'] ) ? trim( $_POST['wpfresh5_cf_font1'] ) : '';
    $font2 = isset( $_POST['wpfresh5_cf_font2'] ) ? trim( $_POST['wpfresh5_cf_font2'] ) : '';
    $font3 = isset( $_POST['wpfresh5_cf_font3'] ) ? trim( $_POST['wpfresh5_cf_font3'] ) : '';
    $font4 = isset( $_POST['wpfresh5_cf_font4'] ) ? trim( $_POST['wpfresh5_cf_font4'] ) : '';
    $font5 = isset( $_POST['wpfresh5_cf_font5'] ) ? trim( $_POST['wpfresh5_cf_font5'] ) : '';

    // Editor
    $enable_justify = isset( $_POST['wpfresh5_ce_justify'] ) ? intval( $_POST['wpfresh5_ce_justify'] ) : 0;
    $enable_underline = isset( $_POST['wpfresh5_ce_underline'] ) ? intval( $_POST['wpfresh5_ce_underline'] ) : 0;
    $enable_strike = isset( $_POST['wpfresh5_ce_strike'] ) ? intval( $_POST['wpfresh5_ce_strike'] ) : 0;
    $enable_background = isset( $_POST['wpfresh5_ce_background'] ) ? intval( $_POST['wpfresh5_ce_background'] ) : 0;

    $settings['content'] = array(
        'comments'  => array(
            'fb_comments' => $fb_comments,
            'disable_comments' => $disable_comments,
        ),
        'images'  => array(
            'placeholder' => $placeholder,
            'lazy_load' => $lazy_load,
            'optimize' => $optimize,
            'exif' => $exif,
            'compression' => $compression,
            'imgur' => $imgur,
            'watermark' => $watermark,
            'watermark_url' => $watermark_url,
        ),
        'underc'  => array(
            'underc_enabled' => wpfresh5_qsetting( $settings, array( 'content', 'underc' ),  'underc_enabled', $underc_enabled ),
            'underc_text' =>  wpfresh5_qsetting( $settings, array( 'content', 'underc' ),  'underc_text', $underc_text )/*$underc_text*/,
            'members_only' => wpfresh5_qsetting( $settings, array( 'content', 'underc' ),  'members_only', $members_only )/*$members_only*/
        ),
        'fonts' => array(
            'enable_fonts' => $enable_fonts,
            'font1' => $font1,
            'font2' => $font2,
            'font3' => $font3,
            'font4' => $font4,
            'font5' => $font5
        ),
        'editor' => array(
            'justify' => wpfresh5_qsetting( $settings, array( 'content', 'editor' ),  'justify', $enable_justify ),
            'underline' => wpfresh5_qsetting( $settings, array( 'content', 'editor' ),  'underline', $enable_underline ),
            'strike' => wpfresh5_qsetting( $settings, array( 'content', 'editor' ),  'strike', $enable_strike ),
            'background' => wpfresh5_qsetting( $settings, array( 'content', 'editor' ),  'background', $enable_background )
        )
    );
    wpfresh5_save_plugin_settings( $settings );
}

function wpfresh5_save_settings_legal() {
    $settings = wpfresh5_get_plugin_settings();

    $cookiew_enabled = isset( $_POST['wpfresh5_cg_cookiew_enabled'] ) ? intval( $_POST['wpfresh5_cg_cookiew_enabled'] ) : 0;
    $cookiew_euonly = isset( $_POST['wpfresh5_cg_cookiew_euonly'] ) ? intval( $_POST['wpfresh5_cg_cookiew_euonly'] ) : 0;
    $cookiew_text = isset( $_POST['wpfresh5_cg_cookiew_text'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_cg_cookiew_text'] ) ) : '';
    $cookiew_accept = isset( $_POST['wpfresh5_cg_cookiew_accept'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_accept'] ) ) : 'Accept';
    $cookiew_cancel = isset( $_POST['wpfresh5_cg_cookiew_cancel'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_cancel'] ) ) : 'Decline';
    $cookiew_url = isset( $_POST['wpfresh5_cg_cookiew_url'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_url'] ) ) : '';
    $cookiew_cancel_url = isset( $_POST['wpfresh5_cg_cookiew_cancel_url'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_cancel_url'] ) ) : '';
    $cookiew_position = isset( $_POST['wpfresh5_cg_cookiew_position'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_position'] ) ) : 0;

    $pages_create = isset( $_POST['wpfresh5_cg_createpage'] ) ? wpfresh5_get_array_keys_checked( $_POST['wpfresh5_cg_createpage'] ) : array();
    wpfresh5_create_pages( $pages_create );

    if( !array_key_exists( 'common', $settings['legal'] ) ) {
        $settings['legal']['common'] = array();
        $old_common = array();
    }
    else {
        $old_common = $settings['legal']['common'];
    }

    $settings['legal'] = array(
        'cookies' => array(
            'cookiew_enabled' => $cookiew_enabled,
            'cookiew_euonly' => $cookiew_euonly,
            'cookiew_text' => $cookiew_text,
            'cookiew_accept' => $cookiew_accept,
            'cookiew_cancel' => $cookiew_cancel,
            'cookiew_url' => $cookiew_url,
            'cookiew_position' => $cookiew_position,
            'cookiew_cancel_url' => $cookiew_cancel_url
        ),
        'common' => $old_common
    );

    $settings = wpfresh5_legal_generator( $settings );
    wpfresh5_save_plugin_settings( $settings );
    return true;
}

function wpfresh5_save_legal_cookies() {
    $settings = wpfresh5_get_plugin_settings();

    $cookiew_enabled = isset( $_POST['wpfresh5_cg_cookiew_enabled'] ) ? intval( $_POST['wpfresh5_cg_cookiew_enabled'] ) : 0;
    $cookiew_euonly = isset( $_POST['wpfresh5_cg_cookiew_euonly'] ) ? intval( $_POST['wpfresh5_cg_cookiew_euonly'] ) : 0;
    $cookiew_text = isset( $_POST['wpfresh5_cg_cookiew_text'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_cg_cookiew_text'] ) ) : '';
    $cookiew_accept = isset( $_POST['wpfresh5_cg_cookiew_accept'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_accept'] ) ) : 'Accept';
    $cookiew_cancel = isset( $_POST['wpfresh5_cg_cookiew_cancel'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_cancel'] ) ) : 'Decline';
    $cookiew_url = isset( $_POST['wpfresh5_cg_cookiew_url'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_url'] ) ) : '';
    $cookiew_cancel_url = isset( $_POST['wpfresh5_cg_cookiew_cancel_url'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_cancel_url'] ) ) : '';
    $cookiew_position = isset( $_POST['wpfresh5_cg_cookiew_position'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_cg_cookiew_position'] ) ) : 0;

    if( !isset( $settings['legal'] ) )
        $settings['legal'] = array();

    $settings['legal']['cookies'] = array(
            'cookiew_enabled' => $cookiew_enabled,
            'cookiew_euonly' => $cookiew_euonly,
            'cookiew_text' => $cookiew_text,
            'cookiew_accept' => $cookiew_accept,
            'cookiew_cancel' => $cookiew_cancel,
            'cookiew_url' => $cookiew_url,
            'cookiew_position' => $cookiew_position,
            'cookiew_cancel_url' => $cookiew_cancel_url
    );

    wpfresh5_save_plugin_settings( $settings );
    return true;
}
function wpfresh5_save_settings_plugins() {
    $settings = wpfresh5_get_plugin_settings();

    $rec_plugins = isset( $_POST['wpfresh5_rec_plugins'] ) ? $_POST['wpfresh5_rec_plugins'] : array();
    if( !empty( $rec_plugins ) ) {
        // var_dump($rec_plugins);
        // var_dump( wpfresh5_get_array_keys_checked( $rec_plugins ) );
        wpfresh5_install_plugins_by_slug( wpfresh5_get_array_keys_checked( $rec_plugins ) ) ;
    }

    $own_plugins = isset( $_POST['wpfresh5_own_plugins'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_own_plugins'] ) ) : '';
    if( !empty( $own_plugins ) )
        wpfresh5_install_plugins( $own_plugins ) ;

    $settings['plugins'] = array(
    );
    wpfresh5_save_plugin_settings( $settings );
}

function wpfresh5_save_settings_security() {
    $settings = wpfresh5_get_plugin_settings();

    // 1. General
    $disable_right = isset( $_POST['wpfresh5_s_disable_right'] ) ? intval( $_POST['wpfresh5_s_disable_right'] ) : 0;
    $disable_select = isset( $_POST['wpfresh5_s_disable_select'] ) ? intval( $_POST['wpfresh5_s_disable_select'] ) : 0;
    $disable_hotlink = isset( $_POST['wpfresh5_s_disable_hotlink'] ) ? intval( $_POST['wpfresh5_s_disable_hotlink'] ) : 0;

    // 0 to 1 or 1 to 0
    $prev_hotlink = ( isset( $settings['security']['content']['disable_hotlink'] ) && $settings['security']['content']['disable_hotlink'] ) ? 1 : 0;
    if( $disable_hotlink && !$prev_hotlink )
        wpfresh5_hotlink_activate();
    else if( !$disable_hotlink && $prev_hotlink )
        wpfresh5_hotlink_deactivate();

    $hide_wp = isset( $_POST['wpfresh5_s_hide_wp'] ) ? intval( $_POST['wpfresh5_s_hide_wp'] ) : 0;
    $prev_hide = isset( $settings['security']['hacker']['hide_wp'] ) ? $settings['security']['hacker']['hide_wp'] : 0 ;

    $plugins_path = isset( $_POST['wpfresh5_s_plugins_path'] ) ? trim( $_POST['wpfresh5_s_plugins_path'] ) : '';
    $theme_path = isset( $_POST['wpfresh5_s_theme_path'] ) ? trim( $_POST['wpfresh5_s_theme_path'] ) : '';
    $style_path = isset( $_POST['wpfresh5_s_style_path'] ) ? trim( $_POST['wpfresh5_s_style_path'] ) : '';
    $uploads_path = isset( $_POST['wpfresh5_s_uploads_path'] ) ? trim( $_POST['wpfresh5_s_uploads_path'] ) : '';
    $includes_path = isset( $_POST['wpfresh5_s_includes_path'] ) ? trim( $_POST['wpfresh5_s_includes_path'] ) : '';
    $content_path = isset( $_POST['wpfresh5_s_content_path'] ) ? trim( $_POST['wpfresh5_s_content_path'] ) : '';
    $hide_root = isset( $_POST['wpfresh5_s_hide_root'] ) ? intval( $_POST['wpfresh5_s_hide_root'] ) : 0;

    $block_spam = isset( $_POST['wpfresh5_s_block_spam'] ) ? intval( $_POST['wpfresh5_s_block_spam'] ) : 0;
    $limit_logins = isset( $_POST['wpfresh5_s_limit_logins'] ) ? intval( $_POST['wpfresh5_s_limit_logins'] ) : 0;
    $logins_num = isset( $_POST['wpfresh5_s_logins_num'] ) ? intval( $_POST['wpfresh5_s_logins_num'] ) : 0;
    $ch_login_url = isset( $_POST['wpfresh5_s_ch_login_url'] ) ? intval( $_POST['wpfresh5_s_ch_login_url'] ) : 0;
    $login_url = isset( $_POST['wpfresh5_s_login_url'] ) ? trim( $_POST['wpfresh5_s_login_url'] ) : '';

    $https_fe = isset( $_POST['wpfresh5_https_fe'] ) ? intval( $_POST['wpfresh5_https_fe'] ) : 0;
    $https_admin = isset( $_POST['wpfresh5_https_admin'] ) ? intval( $_POST['wpfresh5_https_admin'] ) : 0;


    $old_shacking = isset( $settings['security']['hacker'] ) ? $settings['security']['hacker'] : array() ;
    $old_scaptcha = isset( $settings['security']['captcha'] ) ? $settings['security']['captcha'] : array() ;
    $settings['security'] = array(
        'content' => array(
            'disable_right' => $disable_right,
            'disable_select' => $disable_select,
            'disable_hotlink' => wpfresh5_qsetting( $settings, array( 'security', 'content' ),  'disable_hotlink', $disable_hotlink )
        ),
        'https' => array(
            'fe' => $https_fe,
            'admin' => $https_admin
        )
    );

    if( !isset( $_POST[ 'wpfresh5_is_quick' ] ) ) {
        $captcha_key = isset( $_POST['wpfresh5_s_captcha_key'] ) ? trim( $_POST['wpfresh5_s_captcha_key'] ) : '';
        $captcha_secret = isset( $_POST['wpfresh5_s_captcha_secret'] ) ? trim( $_POST['wpfresh5_s_captcha_secret'] ) : '';
        $captcha_login = isset( $_POST['wpfresh5_s_captcha_login'] ) ? intval( $_POST['wpfresh5_s_captcha_login'] ) : 0;
        $captcha_comments = isset( $_POST['wpfresh5_s_captcha_comments'] ) ? intval( $_POST['wpfresh5_s_captcha_comments'] ) : 0;

        $settings['security']['hacker'] = array(
            'hide_wp' => $hide_wp,
            'plugins_path' => $plugins_path,
            'theme_path' => $theme_path,
            'style_path' => $style_path,
            'uploads_path' => $uploads_path,
            'includes_path' => $includes_path,
            'content_path' => $content_path,
            'hide_root' => $hide_root,
            'block_spam' => $block_spam,
            'limit_logins' => $limit_logins,
            'logins_num' => $logins_num,
            'ch_login_url' => $ch_login_url,
            'login_url' => $login_url
        );

        $settings['security']['captcha'] = array(
            'login' => $captcha_login,
            'comments' => $captcha_comments,
            'key' => $captcha_key,
            'secret' => $captcha_secret
        );
    }
    else {
        $settings['security']['hacker'] = $old_shacking;
        $settings['security']['captcha'] = $old_scaptcha;
    }

    wpfresh5_save_plugin_settings( $settings );

    if( $hide_wp || ( !$hide_wp && $prev_hide ) ) {
        wpfresh5_write_htaccess();
     }
}


function wpfresh5_save_settings_seo() {
    $settings = wpfresh5_get_plugin_settings();

    // 1. General
    // $disable_right = isset( $_POST['wpfresh5_s_disable_right'] ) ? intval( $_POST['wpfresh5_s_disable_right'] ) : 0;

    $discourage_se = isset( $_POST['wpfresh5_s_discourage_se'] ) ? 1 : 0;

    if( $discourage_se )
        update_option( 'blog_public', 0 );
    else
        update_option( 'blog_public', 1 );

    $sitemap_xml = isset( $_POST['wpfresh5_s_sitemap_xml'] ) ? intval( $_POST['wpfresh5_s_sitemap_xml'] ) : 0;
    $metatags = isset( $_POST['wpfresh5_s_metatags'] ) ? intval( $_POST['wpfresh5_s_metatags'] ) : 0;
    if( $sitemap_xml )
        wpfresh5_create_sitemap();

    $robotstxt = isset( $_POST['wpfresh5_s_robotstxt'] ) ? intval( $_POST['wpfresh5_s_robotstxt'] ) : 0;
    $robotstxt_txt = isset( $_POST['wpfresh5_s_robotstxt_txt'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_s_robotstxt_txt'] ) ) : '';
    $f0ftohome = isset( $_POST['wpfresh5_s_f0ftohome'] ) ? intval( $_POST['wpfresh5_s_f0ftohome'] ) : 0;

    $nice_permalinks = isset( $_POST['wpfresh5_s_permalinks'] ) ? intval( $_POST['wpfresh5_s_permalinks'] ) : 0;

    if( $nice_permalinks ) {
        $par = get_option('permalink_structure');
        if ( $par !== '/%postname%/' ) {
            global $wp_rewrite;
            $wp_rewrite->set_permalink_structure('/%postname%/');
            flush_rewrite_rules();
        }
    }

    $enable_business = isset( $_POST['wpfresh5_sl_enable_business'] ) ? intval( $_POST['wpfresh5_sl_enable_business'] ) : 0;
    $enable_rating = isset( $_POST['wpfresh5_sl_enable_rating'] ) ? intval( $_POST['wpfresh5_sl_enable_rating'] ) : 0;

    $info = isset( $_POST['wpfresh5_localseo'] ) ? $_POST['wpfresh5_localseo'] : array();


    $settings['seo'] = array(
        'general' => array(
            'sitemap_xml' => $sitemap_xml,
            'robotstxt' => $robotstxt,
            'metatags' => $metatags,
            'robotstxt_txt' => $robotstxt_txt,
            'f0ftohome' => wpfresh5_qsetting( $settings, array( 'seo', 'general' ),  'f0ftohome', $f0ftohome )/*$f0ftohome*/
        ),
        'local' => array(
            'enable_business' => wpfresh5_qsetting( $settings, array( 'seo', 'local' ),  'enable_business', $enable_business ),
            'enable_rating' => wpfresh5_qsetting( $settings, array( 'seo', 'local' ),  'enable_rating', $enable_rating ),
            'info' => wpfresh5_qsetting( $settings, array( 'seo', 'local' ), 'info', $info )
        )
    );
    wpfresh5_save_plugin_settings( $settings );
}

function wpfresh5_save_settings_branding() {
    $settings = wpfresh5_get_plugin_settings();

    // 1. Admin Header
    $header_img = isset( $_POST['wpfresh5_bah_header_img'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bah_header_img'] ) ) : '';
    $howdy_txt = isset( $_POST['wpfresh5_bah_howdy_txt'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bah_howdy_txt'] ) ) : '';
    $hide_screen = isset( $_POST['wpfresh5_bah_hide_screen'] ) ? intval( $_POST['wpfresh5_bah_hide_screen'] ) : 0;
    $hide_help = isset( $_POST['wpfresh5_bah_hide_help'] ) ? intval( $_POST['wpfresh5_bah_hide_help'] ) : 0;

    // 2. Admin Footer
    $text1 = isset( $_POST['wpfresh5_baf_text1'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_baf_text1'] ) ) : '';
    $text2 = isset( $_POST['wpfresh5_baf_text2'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_baf_text2'] ) ) : '';

    // 3. Admin Menus
    $menu_els = isset( $_POST['wpfresh5_mi_el'] ) ? $_POST['wpfresh5_mi_el']  : array();

    // 4. Admin Dashboard
    $heading_txt = isset( $_POST['wpfresh5_bad_heading_txt'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bad_heading_txt'] ) ) : '';
    $custom_txt = isset( $_POST['wpfresh5_bad_custom_txt'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_bad_custom_txt'] ) ) : '';
    $widgets = isset( $_POST['wpfresh5_dw_el'] ) ? $_POST['wpfresh5_dw_el']  : array();

    // 5. Admin BAr
    $disable_fe = isset( $_POST['wpfresh5_bab_disable_fe'] ) ? intval( $_POST['wpfresh5_bab_disable_fe'] ) : 0;
    $logo = isset( $_POST['wpfresh5_bab_logo'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bab_logo'] ) ) : '';
    $ab_logo_url = isset( $_POST['wpfresh5_bab_logo_url'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bab_logo_url'] ) ) : '';
    $hide_subitems = isset( $_POST['wpfresh5_bab_hide_subitems'] ) ? intval( $_POST['wpfresh5_bab_hide_subitems'] ) : 0;

    // 6. Login Page
    $custom_enabled = isset( $_POST['wpfresh5_bl_custom_enabled'] ) ? intval( $_POST['wpfresh5_bl_custom_enabled'] ) : 0;
    $body_color = isset( $_POST['wpfresh5_bl_body_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_body_color'] ) ) : '';
    $body_img = isset( $_POST['wpfresh5_bl_body_img'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_body_img'] ) ) : '';
    $logo_img = isset( $_POST['wpfresh5_bl_logo_img'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_logo_img'] ) ) : '';
    $logo_url = isset( $_POST['wpfresh5_bl_logo_url'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_logo_url'] ) ) : '';
    $form_color = isset( $_POST['wpfresh5_bl_form_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_form_color'] ) ) : '';
    $form_img = isset( $_POST['wpfresh5_bl_form_img'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_form_img'] ) ) : '';
    $form_text_color = isset( $_POST['wpfresh5_bl_form_text_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_form_text_color'] ) ) : '';
    $button_color = isset( $_POST['wpfresh5_bl_button_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_button_color'] ) ) : '';
    $button_text_color = isset( $_POST['wpfresh5_bl_button_text_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_button_text_color'] ) ) : '';
    $links_color = isset( $_POST['wpfresh5_bl_links_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_links_color'] ) ) : '';
    $links_hover_color = isset( $_POST['wpfresh5_bl_links_hover_color'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_bl_links_hover_color'] ) ) : '';

    $settings['branding'] = array(
        'aheader' => array(
            'header_img' => $header_img,
            'howdy_txt' => $howdy_txt,
            'hide_screen' => $hide_screen,
            'hide_help' => $hide_help
        ),
        'afooter' => array(
            'text1' => $text1,
            'text2' => $text2,
        ),
        'amenu' => array(
            'menu_els' => $menu_els
        ),
        'adashboard' => array(
            'heading_txt' => $heading_txt,
            'custom_txt' => $custom_txt,
            'widgets' => $widgets
        ),
        'adminbar' => array(
            'disable_fe' => $disable_fe,
            'logo' => $logo,
            'logo_url' => $ab_logo_url,
            'hide_subitems' => $hide_subitems
        ),
        'login' => array(
            'custom_enabled' => $custom_enabled,
            'body_color' => $body_color,
            'body_img' => $body_img,
            'logo_img' => $logo_img,
            'logo_url' => $logo_url,
            'form_img' => $form_img,
            'form_color' => $form_color,
            'form_text_color' => $form_text_color,
            'button_color' => $button_color,
            'button_text_color' => $button_text_color,
            'links_color' => $links_color,
            'links_hover_color' => $links_hover_color,
        )
    );
    wpfresh5_save_plugin_settings( $settings );
}

function wpfresh5_save_settings_social() {
    $settings = wpfresh5_get_plugin_settings();

    $show = isset( $_POST['wpfresh5_ss_show'] ) ? intval( $_POST['wpfresh5_ss_show'] ) : 0;
    $position = isset( $_POST['wpfresh5_ss_position'] ) ? intval( $_POST['wpfresh5_ss_position'] ) : 0;
    $post_types = isset( $_POST['wpfresh5_ss_post_types'] ) ? $_POST['wpfresh5_ss_post_types'] : array();
    $networks = isset( $_POST['wpfresh5_ss_networks'] ) ? array_keys( $_POST['wpfresh5_ss_networks'] ) : array();

    $facebook = isset( $_POST['wpfresh5_sm_facebook'] ) ? intval( $_POST['wpfresh5_sm_facebook'] ) : 0;
    $twitter = isset( $_POST['wpfresh5_sm_twitter'] ) ? intval( $_POST['wpfresh5_sm_twitter'] ) : 0;
    $googleplus = isset( $_POST['wpfresh5_sm_googleplus'] ) ? intval( $_POST['wpfresh5_sm_googleplus'] ) : 0;
    $default_img = isset( $_POST['wpfresh5_sm_default_img'] ) ? trim( $_POST['wpfresh5_sm_default_img'] ) : '';
    $twitter_username = isset( $_POST['wpfresh5_sm_twitter_username'] ) ? trim( $_POST['wpfresh5_sm_twitter_username'] ) : '';
    $twitter_cardtype = isset( $_POST['wpfresh5_sm_twitter_cardtype'] ) ? trim( $_POST['wpfresh5_sm_twitter_cardtype'] ) : '';
    $googleplus_publisher = isset( $_POST['wpfresh5_sm_googleplus_publisher'] ) ? trim( $_POST['wpfresh5_sm_googleplus_publisher'] ) : '';

    $as_facebook = isset( $_POST['wpfresh5_sas_facebook'] ) ? intval( $_POST['wpfresh5_sas_facebook'] ) : 0;
    $as_twitter = isset( $_POST['wpfresh5_sas_twitter'] ) ? intval( $_POST['wpfresh5_sas_twitter'] ) : 0;

    $facebook_app_id = isset( $_POST['wpfresh5_sas_facebook_app_id'] ) ? trim( $_POST['wpfresh5_sas_facebook_app_id'] ) : '';
    $facebook_app_secret = isset( $_POST['wpfresh5_sas_facebook_app_secret'] ) ? trim( $_POST['wpfresh5_sas_facebook_app_secret'] ) : '';
    $facebook_page = isset( $_POST['wpfresh5_sas_facebook_page'] ) ? trim( $_POST['wpfresh5_sas_facebook_page'] ) : '';

    $twitter_ckey = isset( $_POST['wpfresh5_sas_twitter_ckey'] ) ? trim( $_POST['wpfresh5_sas_twitter_ckey'] ) : '';
    $twitter_csecret = isset( $_POST['wpfresh5_sas_twitter_csecret'] ) ? trim( $_POST['wpfresh5_sas_twitter_csecret'] ) : '';
    $twitter_otoken = isset( $_POST['wpfresh5_sas_twitter_otoken'] ) ? trim( $_POST['wpfresh5_sas_twitter_otoken'] ) : '';
    $twitter_otokensecret = isset( $_POST['wpfresh5_sas_twitter_otokensecret'] ) ? trim( $_POST['wpfresh5_sas_twitter_otokensecret'] ) : '';

    $pin_img = isset( $_POST['wpfresh5_sp_pin_img'] ) ? intval( $_POST['wpfresh5_sp_pin_img'] ) : 0;

    if( isset( $_POST[ 'wpfresh5_is_quick' ] ) && isset( $settings['social'] ) ) {
        $settings['social']['share'] = array(
            'show' => $show,
            'position' => $position,
            'post_types' => $post_types,
            'networks' => $networks
        );

        $settings['social']['pinterest'] = array(
            'pin_img' => $pin_img
        );
    }
    else {
        $settings['social'] = array(
            'share' => array(
                'show' => $show,
                'position' => $position,
                'post_types' => $post_types,
                'networks' => $networks
            ),
            'metadata' => array(
                'facebook' => $facebook,
                'twitter' => $twitter,
                'googleplus' => $googleplus,
                'googleplus_publisher' => $googleplus_publisher,
                'default_img' => $default_img,
                'twitter_username' => $twitter_username,
                'twitter_cardtype' => $twitter_cardtype
            ),
            'autoshare' => array(
                'facebook' => $as_facebook,
                'facebook_app_id' => $facebook_app_id,
                'facebook_app_secret' => $facebook_app_secret,
                'facebook_page' => $facebook_page,
                'twitter' => $as_twitter,
                'twitter_ckey' => $twitter_ckey,
                'twitter_csecret' => $twitter_csecret,
                'twitter_otoken' => $twitter_otoken,
                'twitter_otokensecret' => $twitter_otokensecret
            ),
            'pinterest' => array(
                'pin_img' => $pin_img,
            )
        );
    }

    wpfresh5_save_plugin_settings( $settings );
}

function wpfresh5_save_settings_others() {
    $settings = wpfresh5_get_plugin_settings();

    // 1. Optimize
    $minimize_html = isset( $_POST['wpfresh5_oo_minimize_html'] ) ? intval( $_POST['wpfresh5_oo_minimize_html'] ) : 0;
    $minimize_js = isset( $_POST['wpfresh5_oo_minimize_js'] ) ? intval( $_POST['wpfresh5_oo_minimize_js'] ) : 0;
    $exclude_js = isset( $_POST['wpfresh5_oo_exclude_js'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_oo_exclude_js'] ) ) : '';
    $minimize_css = isset( $_POST['wpfresh5_oo_minimize_css'] ) ? intval( $_POST['wpfresh5_oo_minimize_css'] ) : 0;
    $exclude_css = isset( $_POST['wpfresh5_oo_exclude_css'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_oo_exclude_css'] ) ) : '';
    $gzip = isset( $_POST['wpfresh5_oo_gzip'] ) ? intval( $_POST['wpfresh5_oo_gzip'] ) : 0;
    $google_libraries = isset( $_POST['wpfresh5_oo_google_libraries'] ) ? intval( $_POST['wpfresh5_oo_google_libraries'] ) : 0;
    $cleandb = isset( $_POST['wpfresh5_oo_cleandb'] ) ? intval( $_POST['wpfresh5_oo_cleandb'] ) : 0;

    //wpfresh5_minify( $minimize_js, $minimize_css, $minimize_html, $exclude_js, $exclude_css );

    // 2. Visual
    $footertxt = isset( $_POST['wpfresh5_ov_footertxt'] ) ? intval( $_POST['wpfresh5_ov_footertxt'] ) : 0;
    $show_related = isset( $_POST['wpfresh5_ov_show_related'] ) ? intval( $_POST['wpfresh5_ov_show_related'] ) : 0;
    $hide_date = isset( $_POST['wpfresh5_ov_hide_date'] ) ? intval( $_POST['wpfresh5_ov_hide_date'] ) : 0;
    $hide_author = isset( $_POST['wpfresh5_ov_hide_author'] ) ? intval( $_POST['wpfresh5_ov_hide_author'] ) : 0;
    $scrolltop = isset( $_POST['wpfresh5_ov_scrolltop'] ) ? intval( $_POST['wpfresh5_ov_scrolltop'] ) : 0;
    $scrolltop_color = isset( $_POST['wpfresh5_ov_scrolltop_color'] ) ? $_POST['wpfresh5_ov_scrolltop_color'] : 0;
    $gtranslate = isset( $_POST['wpfresh5_ov_gtranslate'] ) ? intval( $_POST['wpfresh5_ov_gtranslate'] ) : 0;

    $css_code = isset( $_POST['wpfresh5_ov_css_code'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_ov_css_code'] ) ) : '';
    $js_code = isset( $_POST['wpfresh5_ov_js_code'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_ov_js_code'] ) ) : '';


    $fb_pixel = isset( $_POST['wpfresh5_ov_fb_pixel'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_ov_fb_pixel'] ) ) : '';
    $analytics_code = isset( $_POST['wpfresh5_ov_analytics_code'] ) ? trim( wpfs5_sanitize_textarea_field( $_POST['wpfresh5_ov_analytics_code'] ) ) : '';
    $webmaster_code = isset( $_POST['wpfresh5_ov_webmaster_code'] ) ? trim( sanitize_text_field( $_POST['wpfresh5_ov_webmaster_code'] ) ) : '';
    $header_code = isset( $_POST['wpfresh5_ov_header_code'] ) ? trim( wpfs5_sanitize_textarea_field( $_POST['wpfresh5_ov_header_code'] ) ) : '';
    $footer_code = isset( $_POST['wpfresh5_ov_footer_code'] ) ? trim( wpfs5_sanitize_textarea_field( $_POST['wpfresh5_ov_footer_code'] ) ) : '';

    $mail_from_mail = isset( $_POST['wpfresh5_ov_mail_from_mail'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_ov_mail_from_mail'] ) ) : '';
    $mail_from_name = isset( $_POST['wpfresh5_ov_mail_from_name'] ) ? trim( sanitize_textarea_field( $_POST['wpfresh5_ov_mail_from_name'] ) ) : '';

    if( isset( $_POST[ 'wpfresh5_is_quick' ] ) && isset( $settings['others'] ) ) {
        $settings['others']['visual']['scrolltop'] = $scrolltop;
        $settings['others']['visual']['scrolltop_color'] = $scrolltop_color;
        $settings['others']['visual']['gtranslate'] = $gtranslate;
        $settings['others']['fheader']['webmaster_code'] = $webmaster_code;
        $settings['others']['fheader']['fb_pixel'] = $fb_pixel;
        $settings['others']['fheader']['analytics_code'] = $analytics_code;
    }
    else {
        $settings['others'] = array(
            'optimize' => array(
                'minimize_html' => $minimize_html,
                'minimize_js' => $minimize_js,
                'minimize_css' => $minimize_css,
                'exclude_js' => $exclude_js,
                'exclude_css' => $exclude_css,
                'gzip' => $gzip,
                'google_libraries' => $google_libraries
            ),
            'visual' => array(
                'footertxt' => $footertxt,
                'scrolltop' => $scrolltop,
                'scrolltop_color' => $scrolltop_color,
                'gtranslate' => $gtranslate,
                'show_related' => $show_related,
                'hide_date' => $hide_date,
                'hide_author' => $hide_author
            ),
            'customcode' => array(
                'css_code' => $css_code,
                'js_code' => $js_code
            ),
            'fheader' => array(
                'fb_pixel' => $fb_pixel,
                'analytics_code' => $analytics_code,
                'webmaster_code' => $webmaster_code,
                'header_code' => $header_code,
                'footer_code' => $footer_code
            ),
            'mail' => array(
                'mail_from_mail' => $mail_from_mail,
                'mail_from_name' => $mail_from_name
            ),
        );
    }
    wpfresh5_save_plugin_settings( $settings );
}


/* 2. View Settings */

/* 2.1. Content */
function wpfresh5_settings_content() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'content' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-site-tab" class="nav-tab nav-tab-active"><i class="fa fa-cog"></i> Site Settings</a>
                    <a href="#wpfresh5-posts-tab" class="nav-tab" ><i class="fa fa-list"></i> Posts/Pages </a>
                    <a href="#wpfresh5-cats-tab" class="nav-tab"><i class="fa fa-tag"></i> Categories/Tags</a>
                    <a href="#wpfresh5-sample-tab" class="nav-tab"><i class="fa fa-bookmark"></i> Sample Content</a>
                    <a href="#wpfresh5-comments-tab" class="nav-tab"><i class="fa fa-comment"></i> Comments</a>
                    <a href="#wpfresh5-images-tab" class="nav-tab"><i class="fa fa-image"></i> Images</a>
                    <a href="#wpfresh5-underc-tab" class="nav-tab"><i class="fa fa-warning"></i> Under Construction</a>
                    <?php if( wpfresh5_is_pro() ) { ?>
                        <a href="#wpfresh5-fonts-tab" class="nav-tab"><i class="fa fa-font"></i> Fonts</a>
                        <a href="#wpfresh5-editor-tab" class="nav-tab"><i class="fa fa-list-alt"></i> Editor</a>
                    <?php } ?>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-site-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_content_tab_general( $settings );?></div>
                <div id="wpfresh5-posts-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_posts( $settings );?></div>
                <div id="wpfresh5-cats-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_cats( $settings );?></div>
                <div id="wpfresh5-sample-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_samplecontent( $settings );?></div>
                <div id="wpfresh5-comments-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_comments( $settings );?></div>
                <div id="wpfresh5-images-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_images( $settings );?></div>
                <div id="wpfresh5-underc-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_underc( $settings );?></div>
                <div id="wpfresh5-fonts-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_fonts( $settings );?></div>
                <div id="wpfresh5-editor-tab" class="tab-inner"><?php wpfresh5_settings_content_tab_editor( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_content_tab_general( $settings = false ) {
    $settings = isset( $settings['content']['general'] ) ? $settings['content']['general'] : false;
    $site_title = get_bloginfo( 'name' );
    $tagline = get_bloginfo( 'description' );
    $admin_email = get_bloginfo( 'admin_email' );
?>
    <table class="form-table">
        <?php wpfresh5_field_text( 'Site Title', 'wpfresh5_cg_site_title', $site_title, false, '', 'Your WP Site Name' ); ?>
        <?php wpfresh5_field_text( 'Tagline', 'wpfresh5_cg_tagline', $tagline, false, '', 'In a few words, explain what this site is about.' ); ?>
        <?php wpfresh5_field_text( 'Admin e-mail', 'wpfresh5_cg_admin_email', $admin_email ); ?>
    </table>
<?php
}

function wpfresh5_settings_content_tab_posts( $settings = false ) {
    $settings = isset( $settings['content']['posts'] ) ? $settings['content']['posts'] : false;
?>
    <table class="form-table">
        <?php wpfresh5_field_custom_post_type( 'Delete all:', 'wpfresh5_cp_delete_posttypes', 0, false, '', 'Check all post types you would like to delete (warning: this cannot be undone)' ); ?>
    </table>

    <h3> Create Content Pages:</h3>
    <table class="form-table">
        <?php wpfresh5_field_checkbox_inner( 'About Us', 'wpfresh5_cg_createpage[about]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Contact Us', 'wpfresh5_cg_createpage[contact]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'HTML Sitemap', 'wpfresh5_cg_createpage[sitemap]' ); ?>
    </table>

    <h3> Create Blank Pages/Posts:</h3>

    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Create Blank Pages', 'wpfresh5_cc_create_pages', 0, false, 'wpfresh5_cc_create_pages', 'Check to create multiple blank pages' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;Page Titles', 'wpfresh5_cc_pagenames', '', false, 'tall-textarea', 'Enter page titles, separated by comma ,', 'Enter multiple page titles separated by comma (,)', 'wpfresh5_cc_pagenames_row', false   ); ?>
        <?php wpfresh5_field_checkbox( 'Create Blank Posts', 'wpfresh5_cc_create_posts', 0, false, 'wpfresh5_cc_create_posts', 'Check to create multiple blank posts' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;Post Titles', 'wpfresh5_cc_postnames', '', false, 'tall-textarea', 'Enter post titles, separated by comma ,', 'Enter multiple post titles separated by comma (,)', 'wpfresh5_cc_postnames_row', false   ); ?>
    </table>
<?php
}



function wpfresh5_settings_content_tab_cats( $settings = false ) {
    $settings = isset( $settings['content']['cats'] ) ? $settings['content']['cats'] : false;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Create Multiple Categories', 'wpfresh5_cc_create_cats', 0, false, 'wpfresh5_cc_create_cats', 'Check this to create categories in bulk' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;Category Names', 'wpfresh5_cc_catnames', '', false, 'tall-textarea', 'Enter category names, separated by comma ,', 'Enter multiple categories separated by comma (,)', 'wpfresh5_cc_catnames_row', false   ); ?>
        <?php wpfresh5_field_checkbox( 'Create Multiple Tags', 'wpfresh5_cc_create_tags', 0, false, 'wpfresh5_cc_create_tags', 'Check this to create tags in bulk' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;Tag Names', 'wpfresh5_cc_tagnames', '', false, 'tall-textarea', 'Enter tag names, separated by comma ,', 'Enter multiple tags separated by comma (,)', 'wpfresh5_cc_tagnames_row', false   ); ?>
    </table>
<?php
}

function wpfresh5_settings_content_tab_samplecontent( $settings = false, $full = true ) {
    $settings = isset( $settings['content']['sample'] ) ? $settings['content']['sample'] : false;
?>
    <!-- <p>Here, you can add the complete bundle of 5 example posts and 5 pages</p> -->

    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Create Sample Content', 'wpfresh5_cc_create_samplecontent', 0, false, '', 'Click here to create sample content (5 posts and 5 pages) with different content types' ); ?>
    </table>

    <?php if( $full ) { ?>
    <p>You can also delete the sample content created with this plugin:</p>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Delete Sample Content', 'wpfresh5_cc_delete_samplecontent', 0, false, '', 'Click here to delete the previously created content (5 posts + 5pages)' ); ?>
    </table>
    <?php } ?>
<?php
}

function wpfresh5_settings_content_tab_comments( $settings = false ) {
    $settings = isset( $settings['content']['comments'] ) ? $settings['content']['comments'] : false;
    // var_dump($settings);
    $comments_notify = get_option( 'comments_notify' );
    $moderation_notify = get_option( 'moderation_notify' );
    $comment_moderation = get_option( 'comment_moderation' );

    $fb_comments = isset( $settings['fb_comments'] ) ? intval( $settings['fb_comments'] ) : '';
    $disable_comments = isset( $settings['disable_comments'] ) ? $settings['disable_comments'] : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Delete all comments', 'wpfresh5_cco_delete_comments', 0, false, '', 'If you check this, all comments will be deleted' ); ?>
        <?php wpfresh5_field_checkbox( 'Stop new comment email notifications', 'wpfresh5_cco_stop_new_notifications', $comments_notify ); ?>
        <?php wpfresh5_field_checkbox( 'Stop moderate comments email notifications', 'wpfresh5_cco_stop_moderate_notifications', $moderation_notify ); ?>
        <?php wpfresh5_field_checkbox( 'Admin must moderate comments', 'wpfresh5_cco_admin_moderate_comments', $comment_moderation, false, '', 'All comments must be manually approved by an admin before being shown to users' ); ?>
        <?php if( wpfresh5_is_pro() ) { ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Use Facebook comments', 'wpfresh5_cco_use_facebook_comments', $fb_comments, false, '', 'If you enable this, your site will use facebook comments instead of the regular WP comments' ); ?>
        <?php } ?>
<!--     </table>
    <h3>Disable Comments</h3>
    <table class="form-table"> -->
        <?php wpfresh5_field_custom_post_type( 'Disable comments for:', 'wpfresh5_cco_disable_comments', $disable_comments, false, '', 'Check all post types you would like to disable comments for' ); ?>
    </table>
<?php
}

function wpfresh5_settings_content_tab_images( $settings = false, $full = true ) {
    $settings = isset( $settings['content']['images'] ) ? $settings['content']['images'] : false;
    $placeholder = isset( $settings['placeholder'] ) ? intval( $settings['placeholder'] ) : '';
    $lazy_load = isset( $settings['lazy_load'] ) ? intval( $settings['lazy_load'] ) : '';
    $optimize = isset( $settings['optimize'] ) ? intval( $settings['optimize'] ) : '';
    $exif = isset( $settings['exif'] ) ? intval( $settings['exif'] ) : 0;
    $compression = isset( $settings['compression'] ) ? intval( $settings['compression'] ) : 90;
    $exif = isset( $settings['exif'] ) ? intval( $settings['exif'] ) : '';
    $imgur = isset( $settings['imgur'] ) ? intval( $settings['imgur'] ) : '';
    $watermark = isset( $settings['watermark'] ) ? intval( $settings['watermark'] ) : '';
    $watermark_url = isset( $settings['watermark_url'] ) ? $settings['watermark_url'] : '';

    $img_compressions = array();
    for ( $i = 10; $i <= 100; $i+= 10 ) {
        $img_compressions[] = array( 'label' => $i, 'value' => $i );
    }
?>
    <table class="form-table">
        <?php if( 1 || $full) { ?>
            <?php wpfresh5_field_checkbox( 'Enable Placeholders', 'wpfresh5_ci_placeholder', $placeholder, false, '', 'If you enable this, you will have an option to add placeholder images in your media library' ); ?>
        <?php } ?>
        <?php if( wpfresh5_is_pro() ) { ?>
            <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Lazy Load Images', 'wpfresh5_ci_lazy_load', $lazy_load, false, '', 'If you enable this, your images will be "lazy loaded" and your site will load faster' ); ?>
            <?php if( $full) { ?>
                <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Optimize images on upload', 'wpfresh5_ci_optimize', $optimize, false, 'wpfresh5_ci_optimize', 'If you enable this, your images will be optimized on upload to remove unnecessary data' ); ?>
                <?php wpfresh5_field_select( '&nbsp;&nbsp;&nbsp;JPEG Image Compression', 'wpfresh5_ci_compression', $compression, $img_compressions, false, 'The higher the number, the higher the quality and file size ', '', '', 'wpfresh5_ci_optimization_row', !$optimize ); ?>
                <?php wpfresh5_field_checkbox( 'Remove EXIF data', 'wpfresh5_ci_exif', $exif, false, '', 'If you enable this, the plugin will remove EXIF data from your images after upload for smaller image size', '', 'wpfresh5_ci_optimization_row', $optimize ); ?>
                <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Upload Images to Imgur', 'wpfresh5_ci_imgur', $imgur, false, '', 'If you enable this, your images will be uploaded to Imgur saving space on your server' ); ?>
                <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Add Watermark to your images', 'wpfresh5_ci_watermark', $watermark, false, 'wpfresh5_ci_watermark', 'If you enable this, any image you upload will have your watermark/logo' ); ?>
                <?php wpfresh5_field_image( '&nbsp;&nbsp;&nbsp;Watermark Image', 'wpfresh5_ci_watermark_url', $watermark_url, false, '', 'The image to add as watermark (must be a .png file)', '', 'wpfresh5_ci_watermark_url_row', $watermark ); ?>
            <?php } ?>
        <?php } ?>
    </table>
<?php
}

function wpfresh5_settings_content_tab_underc( $settings = false ) {
    $settings = isset( $settings['content']['underc'] ) ? $settings['content']['underc'] : false;
    $underc_enabled = isset( $settings['underc_enabled'] ) ? intval( $settings['underc_enabled'] ) : 0;
    $underc_text = isset( $settings['underc_text'] ) ?  $settings['underc_text'] : '';
    $members_only = isset( $settings['members_only'] ) ? intval( $settings['members_only'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Show Under Construction Page', 'wpfresh5_cu_underc_enabled', $underc_enabled, false, 'wpfresh5_cu_underc_enabled', 'If you enable this, your visitors (except logged in users) will only see an "under construction" page', '' ); ?>
        <?php wpfresh5_field_html( 'Under Construction Page Content', 'wpfresh5_cu_underc_text', $underc_text, false, '', 'The content of the "Under Construction" page', '', 'wpfresh5_cu_underc_text_row', $underc_enabled ); ?>
        <?php wpfresh5_field_checkbox( 'Force Visitors to Log in', 'wpfresh5_cu_membes_only', $members_only, false, '', 'If you check this, only logged in visitors will be able to view your site content.', '' ); ?>

    </table>
<?php
}

function wpfresh5_settings_content_tab_editor( $settings = false ) {
    $settings = isset( $settings['content']['editor'] ) ? $settings['content']['editor'] : false;
    $justify_enabled = isset( $settings['justify'] ) ? intval( $settings['justify'] ) : 0;
    $underline_enabled = isset( $settings['underline'] ) ? intval( $settings['underline'] ) : 0;
    $strike_enabled = isset( $settings['strike'] ) ? intval( $settings['strike'] ) : 0;
    $background_enabled = isset( $settings['background'] ) ? intval( $settings['background'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Show Justify Button', 'wpfresh5_ce_justify', $justify_enabled, false, '', 'If you enable this, it will add a justify button in the editor', '' ); ?>
        <?php wpfresh5_field_checkbox( 'Show Underline Button', 'wpfresh5_ce_underline', $underline_enabled, false, '', 'If you enable this, it will add an underline button in the editor', '' ); ?>
        <?php /*wpfresh5_field_checkbox( 'Show Strike Button', 'wpfresh5_ce_strike', $strike_enabled, false, '', 'If you enable this, it will add a striked text button in the editor', '' );*/ ?>
        <?php wpfresh5_field_checkbox( 'Show Background Coolor Button', 'wpfresh5_ce_background', $background_enabled, false, '', 'If you enable this, it will add a background color button in the editor', '' ); ?>
    </table>
<?php
}

function wpfresh5_settings_content_tab_fonts( $settings = false ) {
    $settings = isset( $settings['content']['fonts'] ) ? $settings['content']['fonts'] : false;
    $enable_fonts = isset( $settings['enable_fonts'] ) ? intval( $settings['enable_fonts'] ) : 0;
    $font1 = isset( $settings['font1'] ) ? $settings['font1'] : '';
    $font2 = isset( $settings['font2'] ) ? $settings['font2'] : '';
    $font3 = isset( $settings['font3'] ) ? $settings['font3'] : '';
    $font4 = isset( $settings['font4'] ) ? $settings['font4'] : '';
    $font5 = isset( $settings['font5'] ) ? $settings['font5'] : '';
    $fonts = wpfresh5_get_google_fonts();
    $font1_txt = !empty( $font1 ) ? '<span style="font-size: 1.3em;font-family:'.$font1.'">'.$font1.'</span>' : '';
    $font2_txt = !empty( $font2 ) ? '<span style="font-size: 1.3em;font-family:'.$font2.'">'.$font2.'</span>' : '';
    $font3_txt = !empty( $font3 ) ? '<span style="font-size: 1.3em;font-family:'.$font3.'">'.$font3.'</span>' : '';
    $font4_txt = !empty( $font4 ) ? '<span style="font-size: 1.3em;font-family:'.$font4.'">'.$font4.'</span>' : '';
    $font5_txt = !empty( $font5 ) ? '<span style="font-size: 1.3em;font-family:'.$font5.'">'.$font5.'</span>' : '';
?>
    <table class="form-table">
        <?php if( wpfresh5_is_pro() ) { ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Enable Google Fonts', 'wpfresh5_cf_enable_fonts', $enable_fonts, false, 'wpfresh5_cf_enable_fonts', 'Enable Extra Google Fonts in your Site', '' ); ?>
    </table>
        <p>Select up to 5 Google Fonts to use in your site</p>
    <table class="form-table">
        <?php wpfresh5_field_select( 'Font 1', 'wpfresh5_cf_font1', $font1, $fonts, false, $font1_txt, '', '', 'wpfresh5_cf_fonts_row', !$enable_fonts, true ); ?>
        <?php wpfresh5_field_select( 'Font 2', 'wpfresh5_cf_font2', $font2, $fonts, false, $font2_txt, '', '', 'wpfresh5_cf_fonts_row', !$enable_fonts, true ); ?>
        <?php wpfresh5_field_select( 'Font 3', 'wpfresh5_cf_font3', $font3, $fonts, false, $font3_txt, '', '', 'wpfresh5_cf_fonts_row', !$enable_fonts, true ); ?>
        <?php wpfresh5_field_select( 'Font 4', 'wpfresh5_cf_font4', $font4, $fonts, false, $font4_txt, '', '', 'wpfresh5_cf_fonts_row', !$enable_fonts, true ); ?>
        <?php wpfresh5_field_select( 'Font 5', 'wpfresh5_cf_font5', $font5, $fonts, false, $font5_txt, '', '', 'wpfresh5_cf_fonts_row', !$enable_fonts, true ); ?>
        <?php } ?>
    </table>
<?php
}

// Legal

function wpfresh5_settings_legal() {
    global $wpfs5_pp_page_id, $wpfs5_tc_page_id, $wpfs5_cp_page_id;
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'legal' );
    }

    if( $wpfs5_pp_page_id ) {
        echo '<div class="notice notice-success is-dismissible inline"><p><i class="fa fa-check"></i> Privacy Policy Page created. You can view it <a href="'.get_permalink( $wpfs5_pp_page_id ).'" target="_blank">here</a> - <a href="'.admin_url( 'post.php?post='.$wpfs5_pp_page_id.'&action=edit' ).'" target="_blank">Edit</a></p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>';
    }
    else if( $wpfs5_tc_page_id ) {
        echo '<div class="notice notice-success is-dismissible inline"><p><i class="fa fa-check"></i> Terms and Conditions Page created. You can view it <a href="'.get_permalink( $wpfs5_tc_page_id ).'" target="_blank">here</a> - <a href="'.admin_url( 'post.php?post='.$wpfs5_tc_page_id.'&action=edit' ).'" target="_blank">Edit</a></p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>';
    }
    else if( $wpfs5_cp_page_id ) {
        echo '<div class="notice notice-success is-dismissible inline"><p><i class="fa fa-check"></i> Cookie Policy Page created. You can view it <a href="'.get_permalink( $wpfs5_cp_page_id ).'" target="_blank">here</a> - <a href="'.admin_url( 'post.php?post='.$wpfs5_cp_page_id.'&action=edit' ).'" target="_blank">Edit</a></p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>';
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-legal-pages-tab" class="nav-tab nav-tab-active"><i class="fa fa-id-card-o"></i> Legal Pages</a>
                    <a href="#wpfresh5-legal-cookies-tab" class="nav-tab"><i class="fa fa-check-square-o"></i> Cookie Consent</a>
                    <a href="#wpfresh5-legal-privacy-tab" class="nav-tab"><i class="fa fa-copyright"></i> Privacy Policy Generator</a>
                    <a href="#wpfresh5-legal-terms-tab" class="nav-tab"><i class="fa fa-circle-o-notch"></i> Terms and Conditions Generator</a>
                    <a href="#wpfresh5-legal-cookiepolicy-tab" class="nav-tab"><i class="fa fa-square-o"></i> Cookie Policy Generator</a>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-legal-pages-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_legal_tab_pages( $settings );?></div>
                <div id="wpfresh5-legal-cookies-tab" class="tab-inner"><?php wpfresh5_settings_legal_tab_cookies( $settings );?></div>
                <div id="wpfresh5-legal-privacy-tab" class="tab-inner"><?php wpfresh5_settings_legal_tab_privacygenerator( $settings );?></div>
                <div id="wpfresh5-legal-terms-tab" class="tab-inner"><?php wpfresh5_settings_legal_tab_termsgenerator( $settings );?></div>
                <div id="wpfresh5-legal-cookiepolicy-tab" class="tab-inner"><?php wpfresh5_settings_legal_tab_cookiesgenerator( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_legal_tab_pages( $settings = false ) {
    $settings = isset( $settings['legal']['pages'] ) ? $settings['legal']['pages'] : false;
    $amazon_countries = array( array( 'label' => 'USA', 'value' => 'us' ), array( 'label' => 'Canada', 'value' => 'ca' ), array( 'label' => 'UK', 'value' => 'uk' ), array( 'label' => 'Germany', 'value' => 'de' ), array( 'label' => 'Spain', 'value' => 'es' ), array( 'label' => 'France', 'value' => 'fr' ), array( 'label' => 'Italy', 'value' => 'it' ), array( 'label' => 'India', 'value' => 'in' ) );
?>
    <h3> Create Legal Pages:</h3>
    <table class="form-table">
        <?php wpfresh5_field_checkbox_inner( 'Privacy Policy (Simple)', 'wpfresh5_cg_createpage[privacy]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Terms of Use (Simple)', 'wpfresh5_cg_createpage[terms]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Cookies Policy (Simple)', 'wpfresh5_cg_createpage[cookiepol]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Earnings Disclaimer', 'wpfresh5_cg_createpage[earnings]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Copyright / DCMA Notice', 'wpfresh5_cg_createpage[copyright]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Anti SPAM Policy', 'wpfresh5_cg_createpage[antispam]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Medical Disclaimer', 'wpfresh5_cg_createpage[medical]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Affiliate Disclosure (FTC Statement Page)', 'wpfresh5_cg_createpage[affiliate]' ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Amazon Associate Disclosure', 'wpfresh5_cg_createpage[amazon]' ); ?>
        <?php wpfresh5_field_select( 'Amazon Country', 'wpfresh5_cg_amazoncountry', 0, $amazon_countries, false, 'Select your country/language for the Amazon Disclosure', '', '', 'wpfresh5_cg_amazoncountry_row', true ); ?>
    </table>
    <p><b>Note:</b> for customized, GDPR compliant Privacy Poliy / Terms and Conditions / Cookie Policy, please check our <a href="<?php echo admin_url('admin.php?page=wp-freshstart5-legal');?>" target="_blank">custom generators.</a></p>
<?php
}

function wpfresh5_settings_legal_tab_cookies( $settings = false ) {
    $settings = isset( $settings['legal']['cookies'] ) ? $settings['legal']['cookies'] : false;
    $cookiew_enabled = isset( $settings['cookiew_enabled'] ) ? intval( $settings['cookiew_enabled'] ) : 0;
    $cookiew_euonly = isset( $settings['cookiew_euonly'] ) ? intval( $settings['cookiew_euonly'] ) : 0;
    $cookiew_text = isset( $settings['cookiew_text'] ) ?  $settings['cookiew_text'] : 'This website uses cookies to ensure you get the best experience on our website';
    $cookiew_accept = isset( $settings['cookiew_accept'] ) ?  $settings['cookiew_accept'] : 'Accept';
    $cookiew_cancel = isset( $settings['cookiew_cancel'] ) ?  $settings['cookiew_cancel'] : 'Decline';
    $cookiew_url = isset( $settings['cookiew_url'] ) ?  $settings['cookiew_url'] : '';
    $position = isset( $settings['cookiew_position'] ) ?  $settings['cookiew_position'] : 0;
    $cookiew_cancel_url = isset( $settings['cookiew_cancel_url'] ) ?  $settings['cookiew_cancel_url'] : '';
    $positions = array( array( 'label' => 'Bottom', 'value' => 0 ), array( 'label' => 'Top', 'value' => 1 ) );

?>
    <h3>Cookie Consent - <a href="https://wpfreshstart5.com/support/knowledgebase/cookie-consent/" target="_blank" style="font-size:0.8em">Support</a></h3>
    <table class="form-table">
    <?php wpfresh5_field_checkbox( 'Show Cookie Warning', 'wpfresh5_cg_cookiew_enabled', $cookiew_enabled, false, 'wpfresh5_cg_cookiew_enabled', 'If you enable this, your visitors will see a cookie use warning (to comply with EU laws)', '' ); ?>
    <?php wpfresh5_field_checkbox( 'Show only to visitors from EU', 'wpfresh5_cg_cookiew_euonly', $cookiew_euonly, false, 'wpfresh5_cg_euonly', 'If you enable this, the cookie warning will only be displayed for visitors from EU; it won\'t be displayed for the rest of the world', '', 'wpfresh5_cg_cookiew_text_row', $cookiew_enabled ); ?>
    <?php wpfresh5_field_html( '&nbsp;&nbsp;&nbsp;Cookie Warning Text', 'wpfresh5_cg_cookiew_text', $cookiew_text, false, '', 'The content of the Warning', '', 'wpfresh5_cg_cookiew_text_row', $cookiew_enabled ); ?>
    <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Cookie Warning Accept Button', 'wpfresh5_cg_cookiew_accept', $cookiew_accept, false, '', 'The Text for the Accept Button', '', 'wpfresh5_cg_cookiew_text_row', $cookiew_enabled ); ?>
    <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Cookie Warning Decline Button', 'wpfresh5_cg_cookiew_cancel', $cookiew_cancel, false, '', 'The Text for the Cancel Button', '', 'wpfresh5_cg_cookiew_text_row', $cookiew_enabled ); ?>
    <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Cookie Policy URL', 'wpfresh5_cg_cookiew_url', $cookiew_url, false, '', 'The URL of your Cookies Policy/Privacy Policy Page', '', 'wpfresh5_cg_cookiew_text_row', $cookiew_enabled ); ?>
    <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Redirect URL', 'wpfresh5_cg_cookiew_cancel_url', $cookiew_cancel_url, false, '', 'The URL to redirect if the user declines cookies', '', 'wpfresh5_cg_cookiew_text_row', $cookiew_enabled ); ?>
     <?php wpfresh5_field_select( '&nbsp;&nbsp;&nbsp;Position', 'wpfresh5_cg_cookiew_position', $position, $positions, false, 'Select position for the message ', '', '', 'wpfresh5_cg_cookiew_text_row', !$cookiew_enabled ); ?>

    </table>
<?php
}

// 2.2. Plugins
function wpfresh5_settings_plugins() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'plugins' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post"  id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-plseo-tab" class="nav-tab nav-tab-active"><i class="fa fa-link"></i> SEO</a>
                    <a href="#wpfresh5-plcontent-tab" class="nav-tab" ><i class="fa fa-list"></i> Content </a>
                    <a href="#wpfresh5-plaff-tab" class="nav-tab"><i class="fa fa-dollar"></i> Affiliate</a>
                    <a href="#wpfresh5-plsocial-tab" class="nav-tab"><i class="fa fa-share-alt"></i> Social</a>
                    <a href="#wpfresh5-plperf-tab" class="nav-tab"><i class="fa fa-flash"></i> Performance</a>
                    <a href="#wpfresh5-plpbuilders-tab" class="nav-tab"><i class="fa fa-wrench"></i> Page Builders</a>
                    <a href="#wpfresh5-plecomm-tab" class="nav-tab"><i class="fa fa-shopping-cart"></i> Ecommerce</a>
                    <a href="#wpfresh5-plsecurity-tab" class="nav-tab"><i class="fa fa-lock"></i> Security</a>
                    <a href="#wpfresh5-plbackup-tab" class="nav-tab"><i class="fa fa-save"></i> Backup</a>
                    <a href="#wpfresh5-others-tab" class="nav-tab"><i class="fa fa-database"></i> Others</a>
                    <a href="#wpfresh5-yours-tab" class="nav-tab"><i class="fa fa-user-o"></i> Your Plugins</a>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-plseo-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_plugins_tab( 'seo', $settings );?></div>
                <div id="wpfresh5-plcontent-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'content', $settings );?></div>
                <div id="wpfresh5-plaff-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'affiliate', $settings );?></div>
                <div id="wpfresh5-plsocial-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'social', $settings );?></div>
                <div id="wpfresh5-plperf-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'performance', $settings );?></div>
                <div id="wpfresh5-plpbuilders-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'pagebuilders', $settings );?></div>
                <div id="wpfresh5-plecomm-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'ecommerce', $settings );?></div>
                <div id="wpfresh5-plsecurity-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'security', $settings );?></div>
                <div id="wpfresh5-plbackup-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'backup', $settings );?></div>
                <div id="wpfresh5-others-tab" class="tab-inner"><?php wpfresh5_settings_plugins_tab( 'others', $settings );?></div>
                <div id="wpfresh5-yours-tab" class="tab-inner"><?php wpfresh5_settings_yourplugins_tab( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Install Selected Plugins" />
        </form>
    <?php
}

function wpfresh5_settings_plugins_tab( $slug, $settings = false ) {
    $settings = isset( $settings['plugins'][$slug] ) ? $settings['plugins'][$slug] : false;
    $plugins = wpfresh5_get_plugin_list( $slug );
    // var_dump($plugins);
    wpfresh5_print_plugins_table( $plugins, 0 );
}

function wpfresh5_settings_yourplugins_tab( $settings = false ) {
    $settings = isset( $settings['content']['fonts'] ) ? $settings['content']['fonts'] : false;
?>
    <table class="form-table">
        <?php wpfresh5_field_textarea( 'Plugin URLS', 'wpfresh5_own_plugins', '', 'wpfresh5_own_plugins', 'tall-textarea large-text', 'It can be a repository URL like <em>https://wordpress.org/plugins/wordpress-seo/</em> or the direct URL if you host it, ex <em>http://yoursite.com/path/plugin-file.zip</em> (comma sepparated)', 'Enter a list of plugin urls to install' ); ?>
    <tr valign="top">
            <th scope="row">&nbsp;</th>
            <td>
                <span style="display:none" id="wrecommended-plugins-txt"><?php 
                    $fichero = file_get_contents( WPFRESH5_DIR.'/lib/plugins/recommended-plugins.txt', true);
                    echo $fichero;
                 ?></span>
                <button type="button" id="wload-recommended-plugins" class="button button-secondary"><i class="fa fa-check-circle-o"></i> Add Recommended Plugins</button>
            </td>
        </tr>
    </table>
<?php
}

// 2.3. Security
function wpfresh5_settings_security() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'security' );
    }
    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-sec1-tab" class="nav-tab nav-tab-active"><i class="fa fa-file-text"></i> Content Protection</a>
                    <a href="#wpfresh5-sec3-tab" class="nav-tab" ><i class="fa fa-expeditedssl"></i> HTTPS </a>
                <?php if( wpfresh5_is_pro() ) { ?>
                    <a href="#wpfresh5-sec2-tab" class="nav-tab" ><i class="fa fa-unlock-alt"></i> Hacker Protection </a>
                    <a href="#wpfresh5-sec4-tab" class="nav-tab"><i class="fa fa-database"></i> Backup</a>
                    <a href="#wpfresh5-sec5-tab" class="nav-tab"><i class="fa fa-check-square-o"></i> Captcha</a>
                <?php } ?>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-sec1-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_security_tab_content( $settings );?></div>
                    <div id="wpfresh5-sec2-tab" class="tab-inner"><?php wpfresh5_settings_security_tab_hacker( $settings );?></div>
                    <div id="wpfresh5-sec3-tab" class="tab-inner"><?php wpfresh5_settings_security_tab_https( $settings );?></div>
                    <div id="wpfresh5-sec4-tab" class="tab-inner"><?php wpfresh5_settings_security_tab_backup( $settings );?></div>
                    <div id="wpfresh5-sec5-tab" class="tab-inner"><?php wpfresh5_settings_security_tab_captcha( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_security_tab_content( $settings = false, $full = true ) {
    $settings = isset( $settings['security']['content'] ) ? $settings['security']['content'] : false;
    $disable_right = isset( $settings['disable_right'] ) ? intval( $settings['disable_right'] ) : 0;
    $disable_select = isset( $settings['disable_select'] ) ? intval( $settings['disable_select'] ) : 0;
    $disable_hotlink = isset( $settings['disable_hotlink'] ) ? intval( $settings['disable_hotlink'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Disable Mouse Right Click', 'wpfresh5_s_disable_right', $disable_right, false, '', 'If you check this, visitors won\'t be able to use the right mouse button to copy text' ); ?>
        <?php wpfresh5_field_checkbox( 'Disable Text Selection', 'wpfresh5_s_disable_select', $disable_select, false, '', 'If you check this, visitors won\'t be able to select text in your site' ); ?>
        <?php if( $full ) { ?>
            <?php wpfresh5_field_checkbox( 'Disable Image Hotlinking', 'wpfresh5_s_disable_hotlink', $disable_hotlink, false, '', 'If you check this, visitors won\'t be able to link to your images directly ( .jpg / .png / .gif files ) ' ); ?>
        <?php } ?>
    </table>
<?php
}

function wpfresh5_settings_security_tab_hacker( $settings = false, $full = true ) {
    $settings = isset( $settings['security']['hacker'] ) ? $settings['security']['hacker'] : false;
    $hide_wp = isset( $settings['hide_wp'] ) ? intval( $settings['hide_wp'] ) : 0;
    $plugins_path = isset( $settings['plugins_path'] ) ? trim( $settings['plugins_path'] ) : '';
    $theme_path = isset( $settings['theme_path'] ) ? trim( $settings['theme_path'] ) : '';
    $style_path = isset( $settings['style_path'] ) ? trim( $settings['style_path'] ) : '';
    $uploads_path = isset( $settings['uploads_path'] ) ? trim( $settings['uploads_path'] ) : '';
    $includes_path = isset( $settings['includes_path'] ) ? trim( $settings['includes_path'] ) : '';
    $content_path = isset( $settings['content_path'] ) ? trim( $settings['content_path'] ) : '';
    $hide_root = isset( $settings['hide_root'] ) ? intval( $settings['hide_root'] ) : 0;

    $block_spam = isset( $settings['block_spam'] ) ? intval( $settings['block_spam'] ) : 0;
    $limit_logins = isset( $settings['limit_logins'] ) ? intval( $settings['limit_logins'] ) : 0;
    $logins_num = isset( $settings['logins_num'] ) ? intval( $settings['logins_num'] ) : 0;
    $ch_login_url = isset( $settings['ch_login_url'] ) ? intval( $settings['ch_login_url'] ) : 0;
    $login_url = isset( $settings['login_url'] ) ? $settings['login_url'] : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Block Spam', 'wpfresh5_s_block_spam', $block_spam, false, '', 'If you check this, spambots will be blocked from spamming your site (comment / register)' ); ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Limit logins', 'wpfresh5_s_limit_logins', $limit_logins, false, 'wpfresh5_s_limit_logins', 'If you check this, users will be blocked after a number of unsuccessful login attempts' ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Number of attempts', 'wpfresh5_s_logins_num', $logins_num, false, 'short-txt', 'Maximum number of failed logins per hour', '', 'wpfresh5_s_logins_num_row', $limit_logins ); ?>
        <?php if( $full) { ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Hide WP', 'wpfresh5_s_hide_wp', $hide_wp, false, 'wpfresh5_s_hide_wp', 'If you check this, WP urls (WordPress core files, theme and plugins path) will be hidden from malicious visitors' ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Plugins Path', 'wpfresh5_s_plugins_path', $plugins_path, false, '', 'The path for the plugins folder (originally '.wpfresh5_remove_site_path( plugins_url() ).')', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Theme Path', 'wpfresh5_s_theme_path', $theme_path, false, '', 'The path for the themes folder (originally '.wpfresh5_remove_site_path( get_bloginfo('template_url') ).')', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?>
        <!-- <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;CSS style file', 'wpfresh5_s_style_path', $style_path, false, '', 'The css file name (originally style.css)', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?> -->
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Content Path', 'wpfresh5_s_content_path', $content_path, false, '', 'The path for your wp-content files (originally /wp-content)', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Uploads Path', 'wpfresh5_s_uploads_path', $uploads_path, false, '', 'The path for your uploaded files (originally /wp-content/uploads)', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Includes Path', 'wpfresh5_s_includes_path', $includes_path, false, '', 'The path for your include files (originally /wp-content/wp-includes)', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?>
        <?php wpfresh5_field_checkbox( '&nbsp;&nbsp;&nbsp;Hide WP root files', 'wpfresh5_s_hide_root', $hide_root, false, '', 'Blocks license.txt and readme.html', '', 'wpfresh5_s_hidewp_row', $hide_wp ); ?>

        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Change Login URL', 'wpfresh5_s_ch_login_url', $ch_login_url, false, 'wpfresh5_s_ch_login_url', 'If you check this, the login url will be different from wp-login to keep hackers away' ); ?>

        <tr class="wpfresh5_s_login_url_row" valign="top" <?php if( !$ch_login_url ) echo 'style="display:none"'; ?>>
                <th scope="row">&nbsp;&nbsp;&nbsp;New login URL</th>
                <td>
                    <?php echo site_url('/');?><input class="regular-text " name="wpfresh5_s_login_url" value="<?php echo $login_url;?>" type="text">
                                    <p class="description">Enter the new login url (by default <?php echo site_url('wp-login.php');?>. If you change it make sure to remember it or you won't be able to login!</p>
                            </td>
            </tr>
        <?php } ?>
    </table>
<?php
}

function wpfresh5_settings_security_tab_https( $settings = false ) {
    $settings = isset( $settings['security']['https'] ) ? $settings['security']['https'] : false;
    $https_fe = isset( $settings['fe'] ) ? intval( $settings['fe'] ) : 0;
    $https_admin = isset( $settings['admin'] ) ? intval( $settings['admin'] ) : 0;

?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Force https for the frontend', 'wpfresh5_https_fe', $https_fe, false, 'wpfresh5_https_fe', 'If you check this, all your urls will be accesible via https only' ); ?>
        <?php wpfresh5_field_checkbox( 'Force https for the admin area', 'wpfresh5_https_admin', $https_admin, false, 'wpfresh5_https_admin', 'If you check this, your admin area will be accesible via https only' ); ?>
    </table>
<?php
}

function wpfresh5_settings_security_tab_captcha( $settings = false ) {
    $settings = isset( $settings['security']['captcha'] ) ? $settings['security']['captcha'] : false;
    $login = isset( $settings['login'] ) ? intval( $settings['login'] ) : 0;
    $comments = isset( $settings['comments'] ) ? intval( $settings['comments'] ) : 0;
    $key = isset( $settings['key'] ) ? trim( $settings['key'] ) : '';
    $secret = isset( $settings['secret'] ) ? trim( $settings['secret'] ) : '';

?>
    <table class="form-table">
        <?php wpfresh5_field_text( 'Recaptcha Site Key', 'wpfresh5_s_captcha_key', $key, false, '', 'The Recaptcha Key' ); ?>
        <?php wpfresh5_field_text( 'Recaptcha Secret Key', 'wpfresh5_s_captcha_secret', $secret, false, '', 'The Recaptcha Secret Key - Get it <a href="https://www.google.com/recaptcha/admin" target="_blank">here</a>', '' ); ?>

        <?php wpfresh5_field_checkbox( 'Display Captcha in login', 'wpfresh5_s_captcha_login', $login, false, '', 'If you check this, visitors will see a recaptcha on the login page' ); ?>
        <?php wpfresh5_field_checkbox( 'Display Captcha in comments form', 'wpfresh5_s_captcha_comments', $comments, false, '', 'If you check this, visitors will see a recaptcha on the comment form' ); ?>
    </table>
<?php
}

function wpfresh5_settings_security_tab_backup( $settings = false ) {
    $settings = isset( $settings['security']['backup'] ) ? $settings['security']['backup'] : false;
?>
<p><span class="proonly">*</span>Click on "Start Backup" to create and download a full database backup</p>
<table class="form-table">
    <tbody>
        <tr class="" valign="top">
            <th scope="row">
                <label for="wpfresh5_db_backup_start_backup">Backup</label>
            </th>
            <td>
                <input name="wpfresh5_backup_start_backup" class="button button-primary" value="Start Backup" id="wpfresh5_backup_start_backup" type="submit">
            </td>
        </tr>
        <tr class="" valign="top">
            <th scope="row">
                <label for="wpfresh5_db_backup_download_file" style="display: none;">Download</label>
            </th>
            <td> <a id="wpfresh5_db_backup_download_file" href="http://localhost/wordpress/wp-content/uploads/wp-freshstart5/wordpress.sql" target="_blank" download="" class="button button-secondary" style="display: none;">Download File</a></td>
        </tr>
    </tbody>
</table>
<?php
}

// 2.4. SEO

function wpfresh5_settings_seo() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'seo' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-seo1-tab" class="nav-tab nav-tab-active"><i class="fa fa-plug"></i> General</a>
                    <?php if( wpfresh5_is_pro() ) { ?>
                        <a href="#wpfresh5-seo2-tab" class="nav-tab" ><i class="fa fa-map-marker"></i> Local Business SEO </a>
                    <?php } ?>
                    <!-- <a href="#wpfresh5-seo3-tab" class="nav-tab"><i class="fa fa-refresh"></i> Auto share</a> -->
                    <!-- <a href="#wpfresh5-seo4-tab" class="nav-tab"><i class="fa fa-pinterest"></i> Pin images</a> -->
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-seo1-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_seo_tab_general( $settings );?></div>
                <?php if( wpfresh5_is_pro() ) { ?>
                    <div id="wpfresh5-seo2-tab" class="tab-inner"><?php wpfresh5_settings_seo_tab_local( $settings );?></div>
                <?php } ?>
                <!-- <div id="wpfresh5-seo3-tab" class="tab-inner"><?php wpfresh5_settings_seo_tab_general( $settings );?></div> -->
                <!-- <div id="wpfresh5-seo4-tab" class="tab-inner"><?php wpfresh5_settings_seo_tab_general( $settings );?></div> -->
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_seo_tab_general( $settings = false ) {
    $settings = isset( $settings['seo']['general'] ) ? $settings['seo']['general'] : false;
    $sitemap_xml = isset( $settings['sitemap_xml'] ) ? intval( $settings['sitemap_xml'] ) : 0;
    $metatags = isset( $settings['metatags'] ) ? intval( $settings['metatags'] ) : 0;
    // $discourage_se = isset( $settings['discourage_se'] ) ? intval( $settings['discourage_se'] ) : 0;
    $discourage_se = !get_option( 'blog_public' );

    $robotstxt = isset( $settings['robotstxt'] ) ? intval( $settings['robotstxt'] ) : 0;
    $robotstxt_txt = ( isset( $settings['robotstxt_txt'] ) && !empty( $settings['robotstxt_txt'] )  ) ? $settings['robotstxt_txt'] : wpfresh5_default_robots_txt();

    //$force_https = isset( $settings['force_https'] ) ? intval( $settings['force_https'] ) : 0;
    $f0ftohome = isset( $settings['f0ftohome'] ) ? intval( $settings['f0ftohome'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Set permalinks to /post-name/', 'wpfresh5_s_permalinks', 0, false, '', 'Check this to set permalinks to SEO friendly Post Name' ); ?>
        <?php wpfresh5_field_checkbox( 'Add Meta Tags in Header', 'wpfresh5_s_metatags', $metatags, false, '', 'Check this to add SEO metatags to the header' ); ?>
        <?php wpfresh5_field_checkbox( 'Create XML Sitemap', 'wpfresh5_s_sitemap_xml', $sitemap_xml, false, '', 'Check this to create an xml sitemap for your site (You can find it at '.site_url('/sitemaps.xml').')' ); ?>
        <?php wpfresh5_field_checkbox( 'Discourage search engines from indexing this site', 'wpfresh5_s_discourage_se', $discourage_se, false, '', 'If you check this, Search Engines will not crawl your site' ); ?>
        <?php wpfresh5_field_checkbox( 'Create robots.txt', 'wpfresh5_s_robotstxt', $robotstxt, false, 'wpfresh5_s_robotstxt', 'Check this to create a custom robots.txt file (You can find it at '.site_url('/robots.txt').')' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;robots.txt Content', 'wpfresh5_s_robotstxt_txt', $robotstxt_txt, false, 'large-text', 'The content for your robots.txt file', 'Enter your content for the robots.txt file', 'wpfresh5_s_robotstxt_txt_row', $robotstxt ); ?>
        <?php if( wpfresh5_is_pro() ) { ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Redirect 404 Errors to Home Page', 'wpfresh5_s_f0ftohome', $f0ftohome, false, 'wpfresh5_s_limit_logins', 'If you check this, all 404 (not found) pages will link to the home page' ); ?>
        <?php } ?>
    </table>
<?php
}

function wpfresh5_settings_seo_tab_local( $settings = false ) {
    $settings = isset( $settings['seo']['local'] ) ? $settings['seo']['local'] : false;
    $enable_business = isset( $settings['enable_business'] ) ? intval( $settings['enable_business'] ) : 0;
    $enable_rating = isset( $settings['enable_rating'] ) ? intval( $settings['enable_rating'] ) : 0;
    $info = isset( $settings['info'] ) ? $settings['info'] : 0;
    $info_business = !empty( $info ) && isset( $info['business'] ) && !empty( $info['business' ] ) ? $info['business'] : array();
    $info_contact = !empty( $info ) && isset( $info['contact'] ) && !empty( $info['contact' ] ) ? $info['contact'] : array();
    $info_rating = !empty( $info ) && isset( $info['rating'] ) && !empty( $info['rating' ] ) ? $info['rating'] : array();
    $btype = isset( $info['business']['type'] ) ? $info['business']['type'] : 0;
// var_dump($info);
    $btypes = wpfresh5_lseo_btypes();
?>
    <p><span class="proonly">*</span>Here you can add <a href="https://developers.google.com/search/docs/data-types/local-businesses" target="_blank">Local Business Metadata</a> to your site</p>
    <table class="form-table">
        <tr>
            <td colspan="3"><h3>Business Information</h3></td>
        </tr>
        <?php wpfresh5_field_checkbox( 'Enable SEO Metadata Business Information', 'wpfresh5_sl_enable_business', $enable_business, false, 'wpfresh5_sl_enable_business', 'Check this to show schema.org metadata for your business' ); ?>
    </table>
    <table class="form-table wpfresh5_sl_business_row" <?php if( !$enable_business ) echo 'style="display:none"';?>>
        <tr>
            <td class="left">Business Type:</td>
            <td><select name="wpfresh5_localseo[business][type]">
                <?php wpfresh5_select_options( $btype, $btypes, 1 );?>
                </select></td>
            <td>Select your type of business.</td>
        </tr>
        <tr>
            <td>Business Name:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][name]" value="<?php echo wpfresh5_array_option( $info_business, 'name' ); ?>"/></td>
            <td>Will use the site name if left empty.</td>
        </tr>
        <tr>
            <td>Business Description:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][description]" value="<?php echo wpfresh5_array_option( $info_business, 'description' ); ?>"
                       placeholder="Very important, try to be as descriptive as possible."/></td>
            <td>Keep less than 150 characters, will use site description if left empty.</td>
        </tr>
<!--         <tr>
            <td>Website Url:</td>
            <td><input type="text" class="regular-text" name="mdp_url" value="<?php echo get_option ( 'mdp_url' ); ?>"
                       placeholder="<?php echo get_bloginfo ( 'url' ); ?>"/></td>
            <td>Will use the website url if left empty.</td>
        </tr> -->
        <tr>
            <td>Logo / Image Location:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][logo]" value="<?php echo wpfresh5_array_option( $info_business, 'logo' ); ?>"
                       placeholder="<?php echo get_bloginfo ( 'url' ); ?>/images/logo.jpg"/></td>
            <td>Not Required</td>
        </tr>
<!--         <tr>
            <td>Reference Url:</td>
            <td><input type="text" class="regular-text" name="mdp_sameas" value="<?php echo get_option ( 'mdp_sameas' ); ?>"
                       placeholder="http://wiki.<?php echo parse_url ( get_bloginfo ( 'url' ) , 1 ); ?>"/></td>
            <td>Not Required</td>
        </tr> -->
        <tr>
            <td>Payments Accepted:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][payments]" value="<?php echo wpfresh5_array_option( $info_business, 'payments' ); ?>"
                       placeholder="Visa, Master Card, Check, Cash"/></td>
            <td>Not Required</td>
        </tr>
        <tr>
            <td>Price Range:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][pricerange]" value="<?php echo wpfresh5_array_option( $info_business, 'pricerange' ); ?>"
                       placeholder="for inexpensive $, for expensive $$$$$"/></td>
            <td>Not Required</td>
        </tr>
        <tr>
            <td class="left">Street Address:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][street]" value="<?php echo wpfresh5_array_option( $info_business, 'street' ); ?>" /></td>
            <td>Required if using Geo Location.</td>
        </tr>
        <tr>
            <td>City:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][city]" value="<?php echo wpfresh5_array_option( $info_business, 'city' ); ?>" /></td>
            <td>Required.</td>
        </tr>
        <tr>
            <td>State:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][state]" value="<?php echo wpfresh5_array_option( $info_business, 'state' ); ?>" /></td>
            <td>Required.</td>
        </tr>
        <tr>
            <td>Zip:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][zip]" value="<?php echo wpfresh5_array_option( $info_business, 'zip' ); ?>" "/>
            </td>
            <td>Can be left empty but not recommended.</td>
        </tr>
        <tr>
            <td>Country:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[business][country]" value="<?php echo wpfresh5_array_option( $info_business, 'country' ); ?>" /></td>
            <td>Can be left empty but not recommended.</td>
        </tr>

        <tr>
            <td colspan="3"><h4>Geo Location</h4></td>
        </tr>
        <tr>
            <td>Use Geolocation</td>
            <td colspan="2"><input type="checkbox"
                name="wpfresh5_localseo[business][geolocation]" value="1"
                                    <?php if ( wpfresh5_array_option( $info_business, 'geolocation' ) ) {
                    echo 'checked';
                } ?> /> This will use Googles api to generate your geo location from the address entered above.
            </td>
        </tr>

        <tr>
            <td colspan="3"><h4>Contacts and Hours of operation</h4></td>
        </tr>
        <tr>
            <td>Email:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[contact][email]" value="<?php echo wpfresh5_array_option( $info_contact, 'email' ); ?>" /></td>
            <td>Can be left empty but not recommended.</td>
        </tr>
        <tr>
            <td>Telephone:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[contact][phone]" value="<?php echo wpfresh5_array_option( $info_contact, 'phone' ); ?>" /></td>
            <td>Can be left empty but not recommended.</td>
        </tr>
        <tr>
            <td>Fax:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[contact][fax]" value="<?php echo wpfresh5_array_option( $info_contact, 'fax' ); ?>" />
            </td>
            <td>Optional</td>
        </tr>
        <tr>
            <td>Open:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[contact][open]" value="<?php echo wpfresh5_array_option( $info_contact, 'open' ); ?>"
                       placeholder="9:00"/></td>
            <td>Can be left empty but not recommended.</td>
        </tr>
        <tr>
            <td>Close:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[contact][close]" value="<?php echo wpfresh5_array_option( $info_contact, 'close' ); ?>"
                       placeholder="17:00"/></td>
            <td>Can be left empty but not recommended.</td>
        </tr>
        <tr>
            <td>Days of Week:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[contact][days]" value="<?php echo wpfresh5_array_option( $info_contact, 'days' ); ?>"
                       placeholder="Mo, Tu, We, Th, Fr, Sa, Su or Mo - Fr"/></td>
            <td>Can be left empty but not recommended. Must use two letter abbreviations.</td>
        </tr>
        </table>
        <table class="form-table">
            <tr>
                <td colspan="3"><h3>Website Rating</h3></td>
            </tr>
            <?php wpfresh5_field_checkbox( 'Enable SEO Metadata Website Rating', 'wpfresh5_sl_enable_rating', $enable_rating, false, 'wpfresh5_sl_enable_rating', 'Check this to show schema.org rating metadata for your business' ); ?>
        </table>
        <table class="form-table wpfresh5_sl_rating_row" <?php if( !$enable_rating ) echo 'style="display:none"';?>>
        <tr>
            <td class="left">Rating Value:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[rating][rvalue]" value="<?php echo wpfresh5_array_option( $info_rating, 'rvalue' ); ?>"
                       placeholder="Ex: 5"/></td>
            <td>From 1 to 5, required if using rating.</td>
        </tr>
        <tr>
            <td>Best Rating:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[rating][best]" value="<?php echo wpfresh5_array_option( $info_rating, 'best' ); ?>"
                       placeholder="Ex: 5"/></td>
            <td>From 1 to 5, required if using rating.</td>
        </tr>
        <tr>
            <td>Worst Rating:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[rating][worst]" value="<?php echo wpfresh5_array_option( $info_rating, 'worst' ); ?>"
                       placeholder="Ex: 5"/></td>
            <td>From 1 to 5, required if using rating.</td>
        </tr>
        <tr>
            <td>Rating Count:</td>
            <td><input type="text" class="regular-text" name="wpfresh5_localseo[rating][rcount]" value="<?php echo wpfresh5_array_option( $info_rating, 'rcount' ); ?>"
                       placeholder="Ex: 239"/></td>
            <td>Required if using rating.</td>
        </tr>
    </table>
    <br/>
    <br/>
<?php
}



function wpfresh5_settings_seo_() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'seo' );
    }

    $settings = wpfresh5_get_plugin_settings();
    $settings = isset( $settings['seo'] ) ? $settings['seo'] : false;


    ?>
        <form action="" method="post"  id="wpfresh5-settings-form">

            <br/>
            <br/>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

/* 2.5. Branding */
function wpfresh5_settings_branding() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'branding' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-adminh-tab" class="nav-tab nav-tab-active" ><i class="fa fa-header"></i> Admin Header </a>
                    <a href="#wpfresh5-adminf-tab" class="nav-tab"><i class="fa fa-minus-square-o"></i> Admin Footer</a>
                    <a href="#wpfresh5-adminm-tab" class="nav-tab"><i class="fa fa-bookmark"></i> Admin Menus</a>
                    <a href="#wpfresh5-awidgets-tab" class="nav-tab"><i class="fa fa-calendar-o"></i> Admin Dashboard</a>
                    <a href="#wpfresh5-adminbar-tab" class="nav-tab"><i class="fa fa-code"></i> Admin Bar</a>
                    <!-- <a href="#wpfresh5-themes-tab" class="nav-tab"><i class="fa fa-magic"></i> Admin Themes</a> -->
                    <a href="#wpfresh5-loginp-tab" class="nav-tab"><i class="fa fa-sign-in"></i> Login Page</a>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-adminh-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_branding_tab_adminheader( $settings );?></div>
                <div id="wpfresh5-adminf-tab" class="tab-inner"><?php wpfresh5_settings_branding_tab_adminfooter( $settings );?></div>
                <div id="wpfresh5-adminm-tab" class="tab-inner"><?php wpfresh5_settings_branding_tab_adminmenu( $settings );?></div>
                <div id="wpfresh5-awidgets-tab" class="tab-inner"><?php wpfresh5_settings_branding_tab_admindashboard( $settings );?></div>
                <div id="wpfresh5-adminbar-tab" class="tab-inner"><?php wpfresh5_settings_branding_tab_adminbar( $settings );?></div>
                <div id="wpfresh5-loginp-tab" class="tab-inner"><?php wpfresh5_settings_branding_tab_loginpage( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_branding_tab_adminheader( $settings = false ) {
    $settings = isset( $settings['branding']['aheader'] ) ? $settings['branding']['aheader'] : false;
    $header_img = isset( $settings['header_img'] ) ? trim( $settings['header_img'] ) : '';
    $howdy_txt = isset( $settings['howdy_txt'] ) ? trim( $settings['howdy_txt'] ) : '';
    $hide_screen = isset( $settings['hide_screen'] ) ? intval( $settings['hide_screen'] ) : 0;
    $hide_help = isset( $settings['hide_help'] ) ? intval( $settings['hide_help'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_image( 'Header Image', 'wpfresh5_bah_header_img', $header_img, false, '', 'The admin header image', ''); ?>
        <?php wpfresh5_field_checkbox( 'Hide Screen Options', 'wpfresh5_bah_hide_screen', $hide_screen, false, '', 'Hides screen options top menu item' ); ?>
        <?php wpfresh5_field_checkbox( 'Hide Help', 'wpfresh5_bah_hide_help', $hide_help, false, '', 'Hides help top menu item' ); ?>

        <?php wpfresh5_field_text( 'Howdy Text', 'wpfresh5_bah_howdy_txt', $howdy_txt, false, '', 'The howdy text' ); ?>
    </table>
<?php
}

function wpfresh5_settings_branding_tab_adminfooter( $settings = false ) {
    $settings = isset( $settings['branding']['afooter'] ) ? $settings['branding']['afooter'] : false;
    $text1 = isset( $settings['text1'] ) ? trim( $settings['text1'] ) : '';
    $text2 = isset( $settings['text2'] ) ? trim( $settings['text2'] ) : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_text( 'Left Footer Text', 'wpfresh5_baf_text1', $text1, false, '', 'The left footer text (by default says Thank you for creating with WordPress)' ); ?>
        <?php wpfresh5_field_text( 'Right Footer Text', 'wpfresh5_baf_text2', $text2, false, '', 'The right footer text (by default shows the WP version)' ); ?>
    </table>
<?php
}

function wpfresh5_settings_branding_tab_adminmenu( $settings = false ) {
    $settings = isset( $settings['branding']['amenu'] ) ? $settings['branding']['amenu'] : false;
    $adminmenus = isset( $settings['menu_els'] ) ? $settings['menu_els'] : array();
?>
    <h2>Customize Admin Menus</h2>
    <table class="form-table">
        <?php wpfresh5_print_admin_menus( $adminmenus ); ?>
    </table>
    <br/>
    <br/>
<?php
}

function wpfresh5_print_admin_menus( $settings ) {
    // disable - rename
    global $menu;
    // var_dump($menu);
    $str = '<table class="widefat" style="width:auto">'.
    '<tr><th></th><th>Disable for non admins</th><th>Change Label</th></tr>';
    foreach( $menu as $item ) {
        // var_dump($item);
        $slug = $item[2];
        if( strpos( $item[2], 'separator') === false ) {
            $is_checked = isset( $settings[$item[2]]['disabled'] ) && $settings[$item[2]]['disabled'];
            $custom_name = isset( $settings[$item[2]]['name'] ) && !empty( $settings[$item[2]]['name'] ) ? $settings[$item[2]]['name'] : '';
            $str .= '<tr><td><b>'.wpfresh5_default_menus( $item[2], $item ).'</b></td><td style="text-align:center"><input type="checkbox" '.checked( $is_checked, 1, false ).' name="wpfresh5_mi_el['.$slug.'][disabled]" /></td><td><input type="text" name="wpfresh5_mi_el['.$slug.'][name]" value="'.$custom_name.'"/></td></tr>';
        }
    }
    $str .= '</table>';
    echo $str;
}

function wpfresh5_settings_branding_tab_admindashboard( $settings = false ) {
    $settings = isset( $settings['branding']['adashboard'] ) ? $settings['branding']['adashboard'] : false;
    $heading_txt = isset( $settings['heading_txt'] ) ? trim( $settings['heading_txt'] ) : '';
    $custom_txt = isset( $settings['custom_txt'] ) ? trim( $settings['custom_txt'] ) : '';
    $widgets = isset( $settings['widgets'] ) ? $settings['widgets'] : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_text( 'Header Text', 'wpfresh5_bad_heading_txt', $heading_txt, false, '', 'The text that appears on top of the admin dashboard' ); ?>
        <?php wpfresh5_field_textarea( 'Intro Text', 'wpfresh5_bad_custom_txt', $custom_txt, false, 'tall-textarea', 'Custom text to show in the Dashboard area' ); ?>
    </table>
    <h2>Hide Admin Widgets</h2>
    <table class="form-table">
        <?php wpfresh5_print_admin_widgets( $widgets ); ?>
    </table>
<?php
}

function wpfresh5_settings_branding_tab_adminbar( $settings = false ) {
    $settings = isset( $settings['branding']['adminbar'] ) ? $settings['branding']['adminbar'] : false;
    $disable_fe = isset( $settings['disable_fe'] ) ? intval( $settings['disable_fe'] ) : 0;
    $logo = isset( $settings['logo'] ) ? trim( $settings['logo'] ) : 0;
    $logo_url = isset( $settings['logo_url'] ) ? trim( $settings['logo_url'] ) : 0;
    $hide_subitems = isset( $settings['hide_subitems'] ) ? intval( $settings['hide_subitems'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Hide admin bar in Frontend', 'wpfresh5_bab_disable_fe', $disable_fe, false, '', 'Hides admin bar in frontend' ); ?>
        <?php wpfresh5_field_image( 'Logo Image', 'wpfresh5_bab_logo', $logo, false, '', 'The admin bar logo (top left)', ''); ?>
        <?php wpfresh5_field_text( 'Logo URL', 'wpfresh5_bab_logo_url', $logo_url, false, '', 'The url for the admin bar url (when users click on logo)' ); ?>
        <?php wpfresh5_field_checkbox( 'Hide logo subitems', 'wpfresh5_bab_hide_subitems', $hide_subitems, false, '', 'Hides admin bar logo menu items (About WordPress, etc)' ); ?>

    </table>
<?php
}

function wpfresh5_settings_branding_tab_loginpage( $settings = false ) {
    $settings = isset( $settings['branding']['login'] ) ? $settings['branding']['login'] : false;
    $custom_enabled = isset( $settings['custom_enabled'] ) ? intval( $settings['custom_enabled'] ) : 0;
    $body_color = isset( $settings['body_color'] ) ? trim( $settings['body_color'] ) : '';
    $body_img = isset( $settings['body_img'] ) ? trim( $settings['body_img'] ) : '';
    $logo_img = isset( $settings['logo_img'] ) ? trim( $settings['logo_img'] ) : '';
    $logo_url = isset( $settings['logo_url'] ) ? trim( $settings['logo_url'] ) : '';
    $form_img = isset( $settings['form_img'] ) ? trim( $settings['form_img'] ) : '';
    $form_color = isset( $settings['form_color'] ) ? trim( $settings['form_color'] ) : '';
    $form_text_color = isset( $settings['form_text_color'] ) ? trim( $settings['form_text_color'] ) : '';
    $button_color = isset( $settings['button_color'] ) ? trim( $settings['button_color'] ) : '';
    $button_text_color = isset( $settings['button_text_color'] ) ? trim( $settings['button_text_color'] ) : '';
    $links_color = isset( $settings['links_color'] ) ? trim( $settings['links_color'] ) : '';
    $links_hover_color = isset( $settings['links_hover_color'] ) ? trim( $settings['links_hover_color'] ) : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Enable changes to login page', 'wpfresh5_bl_custom_enabled', $custom_enabled, false, 'wpfresh5_bl_custom_enabled', 'Check this to modify the custom login page details. Leave it unchecked to show the default login settings' ); ?>
    </table>
    <h2 class="wpfresh5_bl_login_settings_row" <?php if( !$custom_enabled ) echo 'style="display:none"';?>>Background</h2>
    <table class="form-table">
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Body Background Color', 'wpfresh5_bl_body_color', $body_color, false, 'short-txt', 'The body background color', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_image( '&nbsp;&nbsp;&nbsp;Body Background Image', 'wpfresh5_bl_body_img', $body_img, false, '', 'The body background image', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
    </table>
    <h2 class="wpfresh5_bl_login_settings_row" <?php if( !$custom_enabled ) echo 'style="display:none"';?>>Logo</h2>
    <table class="form-table">
        <?php wpfresh5_field_image( '&nbsp;&nbsp;&nbsp;Logo Image', 'wpfresh5_bl_logo_img', $logo_img, false, '', 'The logo image', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Logo URL', 'wpfresh5_bl_logo_url', $logo_url, false, '', 'The logo url', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
    </table>
    <h2 class="wpfresh5_bl_login_settings_row" <?php if( !$custom_enabled ) echo 'style="display:none"';?>>Form</h2>
    <table class="form-table">
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Form Background Color', 'wpfresh5_bl_form_color', $form_color, false, 'short-txt', 'The form background color', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_image( '&nbsp;&nbsp;&nbsp;Form Background Image', 'wpfresh5_bl_form_img', $form_img, false, '', 'The form background image', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Form Text Color', 'wpfresh5_bl_form_text_color', $form_text_color, false, 'short-txt', 'The form text color', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Login Button Background Color', 'wpfresh5_bl_button_color', $button_color, false, 'short-txt', 'The login button background color', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Login Button Text Color', 'wpfresh5_bl_button_text_color', $button_text_color, false, 'short-txt', 'The login button text color', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
    </table>
    <h2 class="wpfresh5_bl_login_settings_row" <?php if( !$custom_enabled ) echo 'style="display:none"';?>>Links</h2>
    <table class="form-table">
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Links Color', 'wpfresh5_bl_links_color', $links_color, false, 'short-txt', 'The links color (forgot pass/ back to blog)', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Links hover Color', 'wpfresh5_bl_links_hover_color', $links_hover_color, false, 'short-txt', 'The links hover color', '', 'wpfresh5_bl_login_settings_row', $custom_enabled ); ?>
    </table>
<?php
}

/* 2.6. Social */
function wpfresh5_settings_social() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'social' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-adminb-tab" class="nav-tab nav-tab-active"><i class="fa fa-share-alt"></i> Social Sharing Buttons</a>
                    <a href="#wpfresh5-adminh-tab" class="nav-tab" ><i class="fa fa-code"></i> Social Metadata </a>
                    <a href="#wpfresh5-adminf-tab" class="nav-tab"><i class="fa fa-refresh"></i> Auto share</a>
                    <a href="#wpfresh5-adminm-tab" class="nav-tab"><i class="fa fa-pinterest"></i> Pin images</a>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-adminb-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_social_tab_share( $settings );?></div>
                <div id="wpfresh5-adminh-tab" class="tab-inner"><?php wpfresh5_settings_social_tab_metadata( $settings );?></div>
                <div id="wpfresh5-adminf-tab" class="tab-inner"><?php wpfresh5_settings_social_tab_authoshare( $settings );?></div>
                <div id="wpfresh5-adminm-tab" class="tab-inner"><?php wpfresh5_settings_social_tab_pinterest( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_social_tab_share( $settings = false, $full = 1 ) {
    $settings = isset( $settings['social']['share'] ) ? $settings['social']['share'] : false;
    $show = isset( $settings['show'] ) ? intval( $settings['show'] ) : 0;
    $position = isset( $settings['position'] ) ? intval( $settings['position'] ) : 0;
    $networks = isset( $settings['networks'] ) ? $settings['networks'] : array();
    $post_types = isset( $settings['post_types'] ) ? $settings['post_types'] : '';
    $positions = array( array( 'label' => 'After content', 'value' => 0 ), array( 'label' => 'Before content', 'value' => 1 ) );
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Show share buttons', 'wpfresh5_ss_show', $show, false, 'wpfresh5_ss_show', 'Check this to display social share buttons in your content' ); ?>
        <?php wpfresh5_field_custom_post_type( '&nbsp;&nbsp;&nbsp;Display for:', 'wpfresh5_ss_post_types', $post_types, false, '', 'Check all post types to display share buttons', '', 'wpfresh5_ss_row', $show ); ?>
         <?php wpfresh5_field_select( '&nbsp;&nbsp;&nbsp;Position', 'wpfresh5_ss_position', $position, $positions, false, 'Select position for the buttons ', '', '', 'wpfresh5_ss_row', !$show ); ?>
    </table>

    <table class="form-table wpfresh5_ss_row" <?php if( !$show ) echo 'style="display:none"';?>>
        <tr valign="top">
            <th scope="row">&nbsp;&nbsp;&nbsp;Buttons to show:</th>
            <td>
                <?php
                    $snetworks = wpfresh5_get_social_networks();
                    foreach( $snetworks as $network ) {
                        echo '<label><input name="wpfresh5_ss_networks['.$network['value'].']" value="1" type="checkbox" '.checked( in_array( $network['value'], $networks ), true, false). '> <i class="fa fa-'.$network['icon'].'"></i> '.$network['label'].' </label><br>';
                    }
                ?>
                <p class="description">Select the buttons to show</p>
            </td>
        </tr>
    </table>
<?php
}

function wpfresh5_settings_social_tab_metadata( $settings = false ) {
    $settings = isset( $settings['social']['metadata'] ) ? $settings['social']['metadata'] : false;
    $facebook = isset( $settings['facebook'] ) ? intval( $settings['facebook'] ) : 0;
    $twitter = isset( $settings['twitter'] ) ? intval( $settings['twitter'] ) : 0;
    $googleplus = isset( $settings['googleplus'] ) ? intval( $settings['googleplus'] ) : 0;
    $googleplus_publisher = isset( $settings['googleplus_publisher'] ) ? trim( $settings['googleplus_publisher'] ) : '';
    $default_img = isset( $settings['default_img'] ) ? trim( $settings['default_img'] ) : '';
    $twitter_username = isset( $settings['twitter_username'] ) ? trim( $settings['twitter_username'] ) : '';
    $twitter_cardtype = isset( $settings['twitter_cardtype'] ) ? trim( $settings['twitter_cardtype'] ) : '';
    $cardtypes = array( array( 'value' => 'summary_large', 'label' => 'Summary Card' ), array( 'value' => 'summary_large', 'label' => 'Summary Card with Large Image' ) )
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Add Facebook Metadata', 'wpfresh5_sm_facebook', $facebook, false, 'wpfresh5_sm_facebook', 'Check this to add Facebook metadatda' ); ?>
        <?php wpfresh5_field_checkbox( 'Add Twitter Metadata', 'wpfresh5_sm_twitter', $twitter, false, 'wpfresh5_sm_twitter', 'Check this to add Twitter metadatda' ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Twitter Username', 'wpfresh5_sm_twitter_username', $twitter_username, false, '', 'Your twitter username', '@yourusername', 'wpfresh5_sm_twitter_row', $twitter ); ?>
        <?php wpfresh5_field_select( '&nbsp;&nbsp;&nbsp;Twitter card type', 'wpfresh5_sm_twitter_cardtype', $twitter_cardtype, $cardtypes, false, 'The card type for Twitter', '', '', 'wpfresh5_sm_twitter_row', !$twitter ); ?>
        <?php wpfresh5_field_checkbox( 'Add Google+ Metadata', 'wpfresh5_sm_googleplus', $googleplus, false, 'wpfresh5_sm_googleplus', 'Check this to add Google+ Metadata' ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Website\'s Google+ page', 'wpfresh5_sm_googleplus_publisher', $googleplus_publisher, false, '', 'Your Google+ author url', 'Ex: https://plus.google.com/u/0/+raulmellado', 'wpfresh5_sm_googleplus_row', $googleplus ); ?>
        <?php wpfresh5_field_image( 'Default Image', 'wpfresh5_sm_default_img', $default_img, false, '', 'The image to use as default when no featured image is set' ); ?>

    </table>
<?php
}

function wpfresh5_settings_social_tab_authoshare( $settings = false ) {
    $settings = isset( $settings['social']['autoshare'] ) ? $settings['social']['autoshare'] : false;
    $facebook = isset( $settings['facebook'] ) ? intval( $settings['facebook'] ) : 0;
    $facebook_app_id = isset( $settings['facebook_app_id'] ) ? trim( $settings['facebook_app_id'] ) : '';
    $facebook_app_secret = isset( $settings['facebook_app_secret'] ) ? trim( $settings['facebook_app_secret'] ) : '';
    $facebook_page = isset( $settings['facebook_page'] ) ? trim( $settings['facebook_page'] ) : '';
    $twitter = isset( $settings['twitter'] ) ? intval( $settings['twitter'] ) : 0;
    $twitter_ckey = isset( $settings['twitter_ckey'] ) ? trim( $settings['twitter_ckey'] ) : '';
    $twitter_csecret = isset( $settings['twitter_csecret'] ) ? trim( $settings['twitter_csecret'] ) : '';
    $twitter_otoken = isset( $settings['twitter_otoken'] ) ? trim( $settings['twitter_otoken'] ) : '';
    $twitter_otokensecret = isset( $settings['twitter_otokensecret'] ) ? trim( $settings['twitter_otokensecret'] ) : '';

?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Autoshare on Facebook', 'wpfresh5_sas_facebook', $facebook, false, 'wpfresh5_sas_facebook', 'Check this to automatically share new posts to your Facebook Page' ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Facebook App Id', 'wpfresh5_sas_facebook_app_id', $facebook_app_id, false, '', 'Your Facebook App Id <a href="https://www.youtube.com/watch?v=YvCUvZbFBrg" target="_blank">Tutorial</a> - <a href="https://developers.facebook.com/" target="_blank">Get it here</a>', 'App ID', 'wpfresh5_sas_facebook_row', $facebook ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Facebook App Secret', 'wpfresh5_sas_facebook_app_secret', $facebook_app_secret, false, '', 'Your Facebook App Secret', 'App Secret', 'wpfresh5_sas_facebook_row', $facebook ); ?>
        <?php wpfresh5_field_select( '&nbsp;&nbsp;&nbsp;Facebook Page', 'wpfresh5_sas_facebook_page', $facebook_page, array(), false, 'The Page to publish on', '', '', 'wpfresh5_sas_facebook_row', !$facebook ); ?>

        <tr class="wpfresh5_sas_facebook_row" valign="top" <?php if( !$facebook) echo 'style="display:none"';?>>
                <th scope="row">&nbsp;</th>
                <td>
                    <button type="button" class="button button-secondary">Authenticate on Facebook</button>
                </td>
            </tr>
        <?php wpfresh5_field_checkbox( 'Autoshare on Twitter', 'wpfresh5_sas_twitter', $twitter, false, 'wpfresh5_sas_twitter', 'Check this to automatically share your new posts on your Twitter account' ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Consumer Key', 'wpfresh5_sas_twitter_ckey', $twitter_ckey, false, '', 'Your Twitter Consumer Key <a href="https://www.youtube.com/watch?v=y2tYoUKOlAQ" target="_blank">Tutorial</a> - <a href="https://apps.twitter.com/" target="_blank">Get it here</a>', 'Consumer Key', 'wpfresh5_sas_twitter_row', $twitter ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Consumer Secret', 'wpfresh5_sas_twitter_csecret', $twitter_csecret, false, '', 'Your Twitter Consumer Secret', 'Consumer Secret', 'wpfresh5_sas_twitter_row', $twitter ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Oauth Access Token', 'wpfresh5_sas_twitter_otoken', $twitter_otoken, false, '', 'Your Twitter Consumer Secret', 'Oauth Access Token', 'wpfresh5_sas_twitter_row', $twitter ); ?>
        <?php wpfresh5_field_text( '&nbsp;&nbsp;&nbsp;Oauth Token Secret', 'wpfresh5_sas_twitter_otokensecret', $twitter_otokensecret, false, '', 'Your Twitter Consumer Secret', 'Token Secret', 'wpfresh5_sas_twitter_row', $twitter ); ?>

        &nbsp;&nbsp;&nbsp;
    </table>
<?php
}

function wpfresh5_settings_social_tab_pinterest( $settings = false ) {
    $settings = isset( $settings['social']['pinterest'] ) ? $settings['social']['pinterest'] : false;
    $pin_img = isset( $settings['pin_img'] ) ? intval( $settings['pin_img'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( 'Add Pin Button to your Images', 'wpfresh5_sp_pin_img', $pin_img, false, 'wpfresh5_sp_pin_img', 'Check this to add a Pin button for your content images' ); ?>
    </table>
<?php
}

// Monetize

function wpfresh5_settings_monetize() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'monetize' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <a href="#wpfresh5-monetize-links-tab" class="nav-tab nav-tab-active"><i class="fa fa-link"></i> Inline Links</a>
                    <a href="#wpfresh5-monetize-amazon-tab" class="nav-tab"><i class="fa fa-amazon"></i> Amazon</a>
                    <?php if( wpfresh5_is_pro() ) { ?>
                    <a href="#wpfresh5-monetize-clickbank-tab" class="nav-tab"><i class="fa fa-bell-o"></i> Clickbank</a>
                    <a href="#wpfresh5-monetize-ebay-tab" class="nav-tab"><i class="fa fa-dollar"></i> Ebay</a>
                <?php } ?>
                </h2>
                <div style="clear:both"></div>
                <div id="wpfresh5-monetize-links-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_monetize_tab_inline( $settings );?></div>
                <div id="wpfresh5-monetize-amazon-tab" class="tab-inner"><?php wpfresh5_settings_monetize_tab_amazon( $settings );?></div>
                <div id="wpfresh5-monetize-clickbank-tab" class="tab-inner"><?php wpfresh5_settings_monetize_tab_clickbank( $settings );?></div>
                <div id="wpfresh5-monetize-ebay-tab" class="tab-inner"><?php wpfresh5_settings_monetize_tab_ebay( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

// Res is under monetization.php

/* 2.7. Others */
function wpfresh5_settings_others() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( 'others' );
    }

    $settings = wpfresh5_get_plugin_settings();
    ?>
        <form action="" method="post" id="wpfresh5-settings-form">
            <div id="wpfresh5-tabs" >
                <h2 class="nav-tab-wrapper">
                    <?php if( wpfresh5_is_pro() ) { ?>
                    <a href="#wpfresh5-others1-tab" class="nav-tab nav-tab-active"><i class="fa fa-cog"></i> Optimization</a>
                    <a href="#wpfresh5-others6-tab" class="nav-tab"><i class="fa fa-magic"></i> Database Cleanup</a>
                    <a href="#wpfresh5-others3-tab" class="nav-tab"><i class="fa fa-file-text-o"></i> Footer/Header code</a>
                    <?php } else { ?>
                    <a href="#wpfresh5-others3-tab" class="nav-tab nav-tab-active"><i class="fa fa-file-text-o"></i> Footer/Header code</a>
                    <?php } ?>
                    <a href="#wpfresh5-others2-tab" class="nav-tab" ><i class="fa fa-eye"></i> Visual Options </a>
                    <a href="#wpfresh5-others4-tab" class="nav-tab"><i class="fa fa-code"></i> Custom CSS/JS code</a>
                    <a href="#wpfresh5-others5-tab" class="nav-tab"><i class="fa fa-envelope-o"></i> Email</a>
                </h2>
                <div style="clear:both"></div>
                <?php if( wpfresh5_is_pro() ) { ?>
                <div id="wpfresh5-others1-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_others_tab_optimization( $settings );?></div>
                <div id="wpfresh5-others3-tab" class="tab-inner"><?php wpfresh5_settings_others_tab_fheader( $settings );?></div>
                <div id="wpfresh5-others6-tab" class="tab-inner"><?php wpfresh5_settings_others_tab_cleanup( $settings );?></div>
                <?php } else { ?>
                <div id="wpfresh5-others3-tab" class="tab-inner" style="display:block"><?php wpfresh5_settings_others_tab_fheader( $settings );?></div>
                <?php } ?>
                <div id="wpfresh5-others2-tab" class="tab-inner"><?php wpfresh5_settings_others_tab_visual( $settings );?></div>
                <div id="wpfresh5-others4-tab" class="tab-inner"><?php wpfresh5_settings_others_tab_customcode( $settings );?></div>
                <div id="wpfresh5-others5-tab" class="tab-inner"><?php wpfresh5_settings_others_tab_mail( $settings );?></div>
            </div>
            <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
            <input type="submit" class="button button-primary" value="Save All Changes" />
        </form>
    <?php
}

function wpfresh5_settings_others_tab_optimization( $settings = false ) {
    $settings = isset( $settings['others']['optimize'] ) ? $settings['others']['optimize'] : false;
    $minimize_html = isset( $settings['minimize_html'] ) ? intval( $settings['minimize_html'] ) : 0;
    $minimize_js = isset( $settings['minimize_js'] ) ? intval( $settings['minimize_js'] ) : 0;
    $exclude_js = isset( $settings['exclude_js'] ) ? trim( $settings['exclude_js'] ) : '';
    $minimize_css = isset( $settings['minimize_css'] ) ? intval( $settings['minimize_css'] ) : 0;
    $exclude_css = isset( $settings['exclude_css'] ) ? trim( $settings['exclude_css'] ) : '';
    $gzip = isset( $settings['gzip'] ) ? intval( $settings['gzip'] ) : 0;
    $google_libraries = isset( $settings['google_libraries'] ) ? intval( $settings['google_libraries'] ) : 0;
?>
    <table class="form-table">
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Minify HTML code', 'wpfresh5_oo_minimize_html', $minimize_html, false, '', 'Check this to minify Javascript code in your site' ); ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Minify JS code', 'wpfresh5_oo_minimize_js', $minimize_js, false, 'wpfresh5_oo_minimize_js', 'Check this to minify Javascript code in your site' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;Javascript files to exclude', 'wpfresh5_oo_exclude_js', $exclude_js, false, 'medium-textarea', 'Enter a list of javascript files to exclude from minimization (one per line)', 'Scripts to exclude from minify', 'wpfres_oo_exclude_js_row', $minimize_js ); ?>

        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Minify CSS code', 'wpfresh5_oo_minimize_css', $minimize_css, false, 'wpfresh5_oo_minimize_css', 'Check this to minify CSS code in your site' ); ?>
        <?php wpfresh5_field_textarea( '&nbsp;&nbsp;&nbsp;CSS files to exclude', 'wpfresh5_oo_exclude_css', $exclude_css, false, 'medium-textarea', 'Enter a list of css files to exclude from minimization (one per line)', 'CSS files to exclude from minify', 'wpfres_oo_exclude_css_row', $minimize_css ); ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Gzip HTML', 'wpfresh5_oo_gzip', $gzip, false, '', 'Check this to compress HTML in gzip' ); ?>

        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Use Google libraries for Javascript', 'wpfresh5_oo_google_libraries', $google_libraries, false, '', 'Check this to use the Google CDN Libraries for jQuery and other js files' ); ?>
    </table>
<?php
}

function wpfresh5_settings_others_tab_cleanup( $settings ) {
    wpfresh5_cleanup_page();
}

function wpfresh5_settings_others_tab_visual( $settings = false, $full = 1 ) {
    $settings = isset( $settings['others']['visual'] ) ? $settings['others']['visual'] : false;
    // var_dump($settings);
    $footertxt = isset( $settings['footertxt'] ) ? intval( $settings['footertxt'] ) : 0;
    $scrolltop = isset( $settings['scrolltop'] ) ? intval( $settings['scrolltop'] ) : 0;
    $scrolltop_color = isset( $settings['scrolltop_color'] ) ? $settings['scrolltop_color'] : '#49a0ff';
    $gtranslate = isset( $settings['gtranslate'] ) ? intval( $settings['gtranslate'] ) : 0;
    $show_related = isset( $settings['show_related'] ) ? intval( $settings['show_related'] ) : 0;
    $hide_date = isset( $settings['hide_date'] ) ? intval( $settings['hide_date'] ) : 0;
    $hide_author = isset( $settings['hide_author'] ) ? intval( $settings['hide_author'] ) : 0;
?>
    <table class="form-table">
        <?php if( $full ) { ?>
            <?php wpfresh5_field_checkbox( 'Add footer copyright text', 'wpfresh5_ov_footertxt', $footertxt, false, 'wpfresh5_ov_footertxt', 'Displays a copyright text (site name + year) at the bottom of your pages (Might not be compatible with all themes)' ); ?>
        <?php } ?>
    <?php if( wpfresh5_is_pro() ) { ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Show scroll to top button', 'wpfresh5_ov_scrolltop', $scrolltop, false, 'wpfresh5_ov_scrolltop', 'If checked, it will show a scroll to top button in your website' ); ?>
        <?php wpfresh5_field_color( '&nbsp;&nbsp;&nbsp;Background Color', 'wpfresh5_ov_scrolltop_color', $scrolltop_color, false, 'short-txt', 'The form background color', '', 'wpfresh5_ov_scrolltop_txt_row', $scrolltop ); ?>
        <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Show Google Translate Button', 'wpfresh5_ov_gtranslate', $gtranslate, false, '', 'If checked, it will show a Google Translate button for your visitors' ); ?>
    <?php } ?>
    </table>
    <?php if( $full ) { ?>
    <h3> Hide Post Meta:</h3>
    <table class="form-table">
        <?php wpfresh5_field_checkbox_inner( 'Hide Post Date', 'wpfresh5_ov_hide_date', $hide_date ); ?>
        <?php wpfresh5_field_checkbox_inner( 'Hide Post Author', 'wpfresh5_ov_hide_author', $hide_author, false, '', '(not compatible with all themes)' ); ?>
    </table>
    <?php if( wpfresh5_is_pro() ) { ?>
    <h3> Related Posts:</h3>
    <table class="form-table">
    <?php wpfresh5_field_checkbox( '<span class="proonly">*</span>Show Related Posts', 'wpfresh5_ov_show_related', $show_related, false, '', 'If checked, a list of related posts will be shown at the end of each post' ); ?>
    </table>
    <?php } ?>
    <?php } ?>
<?php
}

function wpfresh5_settings_others_tab_fheader( $settings = false, $full = true ) {
    $settings = isset( $settings['others']['fheader'] ) ? $settings['others']['fheader'] : false;
    $fb_pixel = isset( $settings['fb_pixel'] ) ? $settings['fb_pixel'] : '';
    $analytics_code = isset( $settings['analytics_code'] ) ? $settings['analytics_code'] : '';
    $webmaster_code = isset( $settings['webmaster_code'] ) ? $settings['webmaster_code'] : '';
    $header_code = isset( $settings['header_code'] ) ? $settings['header_code'] : '';
    $footer_code = isset( $settings['footer_code'] ) ? $settings['footer_code'] : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_textarea( 'Google Analytics code', 'wpfresh5_ov_analytics_code', $analytics_code, false, 'tall-textarea large-text', 'Your Google Analytics code' ); ?>
        <?php wpfresh5_field_textarea( 'Facebook Pixel Code', 'wpfresh5_ov_fb_pixel', $fb_pixel, false, 'tall-textarea large-text', 'Your Facebook Pixel Code' ); ?>

        <?php wpfresh5_field_text( 'Webmaster Tools Verification Code', 'wpfresh5_ov_webmaster_code', $webmaster_code, false, '', 'Google Webmaster Tools Verification Code' ); ?>

        <?php if( $full ) { ?>
        <?php wpfresh5_field_textarea( 'Header code', 'wpfresh5_ov_header_code', $header_code, false, 'tall-textarea large-text', 'Any code to go in the HTML header section in all your posts/pages' ); ?>

        <?php wpfresh5_field_textarea( 'Footer code', 'wpfresh5_ov_footer_code', $footer_code, false, 'tall-textarea large-text', 'Any code to go in the footer in all your posts/pages (right before the closing &lt;/body&gt; tag' ); ?>
        <?php } ?>
    </table>
<?php
}

function wpfresh5_settings_others_tab_customcode( $settings = false ) {
    $settings = isset( $settings['others']['customcode'] ) ? $settings['others']['customcode'] : false;
    $js_code = isset( $settings['js_code'] ) ? $settings['js_code'] : '';
    $css_code = isset( $settings['css_code'] ) ? $settings['css_code'] : '';
?>
    <table class="form-table">
        <?php wpfresh5_field_textarea( 'CSS code', 'wpfresh5_ov_css_code', $css_code, false, 'tall-textarea large-text', 'Any CSS code to apply to your website' ); ?>

        <?php wpfresh5_field_textarea( 'Javascript code', 'wpfresh5_ov_js_code', $js_code, false, 'tall-textarea large-text', 'Any Custom Javascript to apply to your website (you do not need to enter the &lt;script&gt;&lt;/script&gt; tags' ); ?>
    </table>
<?php
}

function wpfresh5_settings_others_tab_mail( $settings = false ) {
    $settings = isset( $settings['others']['mail'] ) ? $settings['others']['mail'] : false;
    $mail_from_mail = isset( $settings['mail_from_mail'] ) ? $settings['mail_from_mail'] : '';
    $mail_from_name = isset( $settings['mail_from_name'] ) ? $settings['mail_from_name'] : '';
    $urlparts = parse_url( site_url() );
    $yourdomain = $urlparts[ 'host' ];
    if ( substr( $yourdomain, 0, 4 ) == 'www.' )
        $yourdomain = substr( $yourdomain, 4 );
?>
    <table class="form-table">
        <?php wpfresh5_field_text( 'Mail From e-mail', 'wpfresh5_ov_mail_from_mail', $mail_from_mail, false, '', 'The mail from Email for all emails generating from WordPress', 'default: wordpress@'.$yourdomain ); ?>
        <?php wpfresh5_field_text( 'Mail From name', 'wpfresh5_ov_mail_from_name', $mail_from_name, false, '', 'The mail from Name for all emails generating from WordPress', 'default: WordPress' ); ?>
    </table>
<?php
}


//// wizard

function wpfresh5_quick_wizard() {
    if( isset( $_POST['wpfresh5_save_settings'] ) ) {
        wpfresh5_save_settings( );
        echo '<div class="notice notice-success is-dismissible inline"><p><i class="fa fa-check"></i> Settings saved!</p></div>';
    }

    $settings = wpfresh5_get_plugin_settings();
?>
<!-- <div id="wpfresh5-wizard">
    <h1>First Step</h1>
    <div>First Content</div>

    <h1>Second Step</h1>
    <div>Second Content</div>
</div> -->


<form id="wpfresh5-wizard2" class="wpfresh5-wizard" method="post">
      <fieldset>
            <legend><i class="fa fa-list-ul"></i> 1. Content </legend>
            <div class="form-section">
                  <?php wpfresh5_settings_content_tab_general( $settings );?>
                  <?php wpfresh5_settings_content_tab_posts( $settings );?>
                  <?php wpfresh5_settings_content_tab_samplecontent( $settings, false );?>
                  <?php /*wpfresh5_settings_content_tab_legal( $settings );*/?>
                  <h2>Categories / tags</h2>
                  <?php wpfresh5_settings_content_tab_cats( $settings );?>
                  <h2>Comments</h2>
                  <?php wpfresh5_settings_content_tab_comments( $settings );?>
                  <?php wpfresh5_settings_content_tab_images( $settings, false );?>
                  <nav>
                        <!-- <span class="form-nav-prev button button-secondary">Prev</span> -->
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <fieldset>
            <legend><i class="fa fa-copyright"></i> 2. Legal</legend>
            <div class="form-section">
                <?php wpfresh5_settings_legal_tab_pages( $settings, false ); ?>
                <br/>
<!--                   <p><b>Note:</b> Please review our <a href="<?php echo admin_url('admin.php?page=wp-freshstart5-legal');?>" target="_blank">Privacy Policy / Terms and Conditions / Cookie Policy generator</a> to create fully GDPR compliant personalized legal Pages</p> -->
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <fieldset>
            <legend><i class="fa fa-drivers-license"></i> 3. GDPR</legend>
            <div class="form-section">
            <?php wpfresh5_settings_content_tab_gdprfake(); ?>
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <fieldset>
            <legend><i class="fa fa-cog"></i> 4. Plugins</legend>
            <div class="form-section">
                  <?php wpfresh5_settings_yourplugins_tab( $settings );?>
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <fieldset>
            <legend><i class="fa fa-lock"></i> 5. Security</legend>
            <div class="form-section">
                  <?php wpfresh5_settings_security_tab_https( $settings, false );?>
                  <?php wpfresh5_settings_security_tab_content( $settings, false );?>
                  <?php if( wpfresh5_is_pro() ) wpfresh5_settings_security_tab_hacker( $settings, 0 ); ?>
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <fieldset>
            <legend><i class="fa fa-link"></i> 6. SEO</legend>
            <div class="form-section">
                  <?php wpfresh5_settings_seo_tab_general( $settings );?>
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <?php if( wpfresh5_is_pro() ) { ?>
      <fieldset>
            <legend><i class="fa fa-share-alt"></i> 7. Social</legend>
            <div class="form-section">
                  <?php wpfresh5_settings_social_tab_share( $settings, false );?>
                  <?php wpfresh5_settings_social_tab_pinterest( $settings );?>
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <?php } ?>
      <fieldset>
            <legend><i class="fa fa-tag"></i> <?php echo ( wpfresh5_is_pro() ? '8' : '7' ); ?>. Others</legend>
            <div class="form-section">
                  <?php wpfresh5_settings_others_tab_fheader( $settings, false );?>
                  <?php if( wpfresh5_is_pro() ) wpfresh5_settings_others_tab_visual( $settings, 0 ); ?>
                  <nav>
                        <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span>
                        <span class="form-nav-next button button-primary">Next <i class="fa fa-angle-double-right"></i></span>
                  </nav>
            <div>
      </fieldset>
      <fieldset>
            <legend><i class="fa fa-save"></i> Finish</legend>
            <div class="form-section">
                <p>That's it!</p>
                <p>Just click the submit button to save your form and you are all good</p>
                <?php wpfresh5_field_hidden( 'wpfresh5_save_settings', 1 ); ?>
                <?php wpfresh5_field_hidden( 'wpfresh5_is_quick', 1 ); ?>

                <p> <span class="form-nav-prev button button-secondary"><i class="fa fa-angle-double-left"></i> Prev</span> <button type="submit" class="button button-primary"> <i class="fa fa-save"></i> Save All Changes</button></p>
            <div>
      </fieldset>
</form>

<?php
}

// function wpfresh5_qsetting( $settings, array( 'seo', 'local' ),  'enable_business', $enable_business ) {

function wpfresh5_qsetting( $settings, $path, $property_name, $property_value ) {
    if( isset( $_POST[ 'wpfresh5_is_quick' ] ) ) {
        // We are in quick settings, if old value existed, return it; otherwise returl $property_value
        $previous_val = wpfresh5_get_settings ( $path );
        if( $previous_val !== false && isset( $previous_val[ $property_name ] ) )
            return $previous_val[ $property_name ];
    }
    return $property_value;
}


function wpfresh5_array_option( $arr, $property, $default = false ) {
    if( !isset( $arr ) || empty( $arr ) )
        return '';
    if( isset( $arr[ $property ] ) )
        return $arr[ $property ];
    return '';
}
?>