<?php
/*
Plugin Name: WP Freshstart 5 Pro
Version: 5.19
Plugin URI: http://wpfreshstart5.com
Description: Create Google Ready, GDPR Compliant WordPress Sites in 60 seconds that make you money.
Author: Ankur Shukla
Author URI: https://ankurshukla.com
*/

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

define( 'WPFRESH5_VERSION', '5.19' );
if (!isset($wp_version))
    global $wp_version;
define( 'WPFRESH5_WPVERSION', $wp_version );

// define( 'WPFRESH5_DEBUG_MODE', 0 );

define( 'WPFRESH5_PLUGIN_NAME', dirname(plugin_basename(__FILE__) ));
define( 'WPFRESH5_DIR', plugin_dir_path( __FILE__ ) );
define( 'WPFRESH5_URL', plugins_url( WPFRESH5_PLUGIN_NAME ) );

include WPFRESH5_DIR.'/lib/common.php';
include WPFRESH5_DIR.'/lib/utils.php';
include WPFRESH5_DIR.'/lib/settings.php';

//include WPFRESH5_DIR.'/lib/minify/cache/';
//include WPFRESH5_DIR.'/lib/minify/config.php';


if ( is_admin() ) {
	include WPFRESH5_DIR.'/lib/ui.php';
	include WPFRESH5_DIR.'/lib/plugins/fresh5_plugins.php';
	include WPFRESH5_DIR.'/lib/instareset/insta-reset.php';
	include WPFRESH5_DIR.'/lib/styles/dashboard.php';
}
else {
	include WPFRESH5_DIR.'lib/frontend.php';
	include WPFRESH5_DIR.'lib/monetize/monetize_fe.php';
}

include WPFRESH5_DIR.'/lib/content.php';
include WPFRESH5_DIR.'/lib/legal.php';
include WPFRESH5_DIR.'/lib/monetize/monetization.php';
include WPFRESH5_DIR.'/lib/security.php';
include WPFRESH5_DIR.'/lib/others.php';
include WPFRESH5_DIR.'/lib/seo.php';
include WPFRESH5_DIR.'/lib/gdpr/gdpr_main.php';


if( wpfresh5_is_pro() ) {
	include WPFRESH5_DIR.'/lib/branding.php';
	include WPFRESH5_DIR.'/lib/social.php';
	include WPFRESH5_DIR.'/lib/antispam.php';
}

/* Automatic Updates */
require WPFRESH5_DIR.'/lib/plugin-updates/plugin-update-checker.php';
$puchcker = new Puc_v4p10_Plugin_UpdateChecker(
    ( wpfresh5_is_pro() ? 'https://wpfreshstart.s3.amazonaws.com/v5/plugin-updates/2-pro/info_freshstart2.json' : 'https://wpfreshstart.s3.amazonaws.com/v5/plugin-updates/1-std/info_freshstart.json' ),
    WPFRESH5_DIR.WPFRESH5_PLUGIN_NAME.'.php'
);

register_activation_hook( __FILE__, 'wpfs5_gdpr_install' );
// register_deactivation_hook( __FILE__, 'wp_gdpr_uninstall' );
register_deactivation_hook( __FILE__, 'wpfs5_plugin_deactivated' );
?>